﻿/******************************************************************************
 * SunnyUI 开源控件库、工具类库、扩展类库、多页面开发框架。
 * CopyRight (C) 2012-2023 ShenYongHua(沈永华).
 * QQ群：56829229 QQ：17612584 EMail：SunnyUI@QQ.Com
 *
 * Blog:   https://www.cnblogs.com/yhuse
 * Gitee:  https://gitee.com/yhuse/SunnyUI
 * GitHub: https://github.com/yhuse/SunnyUI
 *
 * SunnyUI.dll can be used for free under the GPL-3.0 license.
 * If you use this code, please keep this note.
 * 如果您使用此代码，请保留此说明。
 ******************************************************************************
 * 文件名称: UFontAwesomeV6.cs
 * 文件说明: 字体图片定义类：FontAweSome，V6.4.0
 * 当前版本: V3.1
 * 创建日期: 2023-04-23
 *
 * 2023-04-23: V3.3.5 增加文件说明
******************************************************************************/

/******************************************************************************
 * https://fontawesome.com/search?o=r&m=free
 * https://fontawesome.com/license/free
 * https://github.com/FortAwesome/Font-Awesome/blob/6.x/LICENSE.txt
 ******************************************************************************
 
UPDATED: JULY 12, 2018

Font Awesome Free License

Font Awesome Free is free, open source, and GPL friendly. You can use it for 
commercial projects, open source projects, or really almost whatever you want.

Icons - CC BY 4.0 License
In the Font Awesome Free download, the CC BY 4.0 license applies to all icons 
packaged as .svg and .js files types.

Fonts - SIL OFL 1.1 License
In the Font Awesome Free download, the SIL OFL license applies to all icons 
packaged as web and desktop font files.

Code - MIT License
In the Font Awesome Free download, the MIT license applies to all non-font and 
non-icon files.

Attribution
Attribution is required by MIT, SIL OFL, and CC BY licenses. Downloaded Font 
Awesome Free files already contain embedded comments with sufficient 
attribution, so you shouldn't need to do anything additional when using 
these files normally.

We've kept attribution comments terse, so we ask that you do not actively work 
to remove them from files, especially code. They're a great way for folks to 
learn about Font Awesome.
******************************************************************************/

using System;
using System.IO;
using System.Text;

namespace Sunny.UI
{
#pragma warning disable CS1591 // 缺少对公共可见类型或成员的 XML 注释
    /// <summary>
    /// fa-regular-400.ttf
    /// 2023-04-23 Release 6.4.0
    /// Count: 163
    /// </summary>
    public static class FontAweSomeV6Regular
    {
        public const int fa_user = 0xf007;
        public const int fa_image = 0xf03e;
        public const int fa_envelope = 0xf0e0;
        public const int fa_star = 0xf005;
        public const int fa_heart = 0xf004;
        public const int fa_circle_xmark = 0xf057;
        public const int fa_comment = 0xf075;
        public const int fa_face_smile = 0xf118;
        public const int fa_calendar_days = 0xf073;
        public const int fa_file = 0xf15b;
        public const int fa_bell = 0xf0f3;
        public const int fa_clipboard = 0xf328;
        public const int fa_circle_user = 0xf2bd;
        public const int fa_circle_up = 0xf35b;
        public const int fa_circle_down = 0xf358;
        public const int fa_bookmark = 0xf02e;
        public const int fa_pen_to_square = 0xf044;
        public const int fa_share_from_square = 0xf14d;
        public const int fa_eye = 0xf06e;
        public const int fa_eye_slash = 0xf070;
        public const int fa_hand = 0xf256;
        public const int fa_folder = 0xf07b;
        public const int fa_folder_open = 0xf07c;
        public const int fa_thumbs_up = 0xf164;
        public const int fa_thumbs_down = 0xf165;
        public const int fa_comments = 0xf086;
        public const int fa_lemon = 0xf094;
        public const int fa_paper_plane = 0xf1d8;
        public const int fa_compass = 0xf14e;
        public const int fa_address_book = 0xf2b9;
        public const int fa_handshake = 0xf2b5;
        public const int fa_snowflake = 0xf2dc;
        public const int fa_sun = 0xf185;
        public const int fa_calendar = 0xf133;
        public const int fa_clock = 0xf017;
        public const int fa_circle = 0xf111;
        public const int fa_credit_card = 0xf09d;
        public const int fa_copy = 0xf0c5;
        public const int fa_square = 0xf0c8;
        public const int fa_newspaper = 0xf1ea;
        public const int fa_building = 0xf1ad;
        public const int fa_flag = 0xf024;
        public const int fa_file_excel = 0xf1c3;
        public const int fa_hand_point_up = 0xf0a6;
        public const int fa_address_card = 0xf2bb;
        public const int fa_registered = 0xf25d;
        public const int fa_moon = 0xf186;
        public const int fa_file_word = 0xf1c2;
        public const int fa_closed_captioning = 0xf20a;
        public const int fa_file_pdf = 0xf1c1;
        public const int fa_hospital = 0xf0f8;
        public const int fa_square_check = 0xf14a;
        public const int fa_copyright = 0xf1f9;
        public const int fa_circle_check = 0xf058;
        public const int fa_square_minus = 0xf146;
        public const int fa_lightbulb = 0xf0eb;
        public const int fa_keyboard = 0xf11c;
        public const int fa_clone = 0xf24d;
        public const int fa_images = 0xf302;
        public const int fa_window_restore = 0xf2d2;
        public const int fa_window_minimize = 0xf2d1;
        public const int fa_window_maximize = 0xf2d0;
        public const int fa_trash_can = 0xf2ed;
        public const int fa_star_half_stroke = 0xf5c0;
        public const int fa_star_half = 0xf089;
        public const int fa_square_plus = 0xf0fe;
        public const int fa_square_full = 0xf45c;
        public const int fa_square_caret_up = 0xf151;
        public const int fa_square_caret_right = 0xf152;
        public const int fa_square_caret_left = 0xf191;
        public const int fa_square_caret_down = 0xf150;
        public const int fa_rectangle_xmark = 0xf410;
        public const int fa_rectangle_list = 0xf022;
        public const int fa_paste = 0xf0ea;
        public const int fa_object_ungroup = 0xf248;
        public const int fa_object_group = 0xf247;
        public const int fa_note_sticky = 0xf249;
        public const int fa_money_bill_1 = 0xf3d1;
        public const int fa_message = 0xf27a;
        public const int fa_map = 0xf279;
        public const int fa_life_ring = 0xf1cd;
        public const int fa_id_card = 0xf2c2;
        public const int fa_id_badge = 0xf2c1;
        public const int fa_hourglass_half = 0xf252;
        public const int fa_hourglass = 0xf254;
        public const int fa_hard_drive = 0xf0a0;
        public const int fa_hand_spock = 0xf259;
        public const int fa_hand_scissors = 0xf257;
        public const int fa_hand_pointer = 0xf25a;
        public const int fa_hand_point_right = 0xf0a4;
        public const int fa_hand_point_left = 0xf0a5;
        public const int fa_hand_point_down = 0xf0a7;
        public const int fa_hand_peace = 0xf25b;
        public const int fa_hand_lizard = 0xf258;
        public const int fa_hand_back_fist = 0xf255;
        public const int fa_gem = 0xf3a5;
        public const int fa_futbol = 0xf1e3;
        public const int fa_font_awesome = 0xf2b4;
        public const int fa_folder_closed = 0xe185;
        public const int fa_floppy_disk = 0xf0c7;
        public const int fa_file_zipper = 0xf1c6;
        public const int fa_file_video = 0xf1c8;
        public const int fa_file_powerpoint = 0xf1c4;
        public const int fa_file_lines = 0xf15c;
        public const int fa_file_image = 0xf1c5;
        public const int fa_file_code = 0xf1c9;
        public const int fa_file_audio = 0xf1c7;
        public const int fa_face_tired = 0xf5c8;
        public const int fa_face_surprise = 0xf5c2;
        public const int fa_face_smile_wink = 0xf4da;
        public const int fa_face_smile_beam = 0xf5b8;
        public const int fa_face_sad_tear = 0xf5b4;
        public const int fa_face_sad_cry = 0xf5b3;
        public const int fa_face_rolling_eyes = 0xf5a5;
        public const int fa_face_meh_blank = 0xf5a4;
        public const int fa_face_meh = 0xf11a;
        public const int fa_face_laugh_wink = 0xf59c;
        public const int fa_face_laugh_squint = 0xf59b;
        public const int fa_face_laugh_beam = 0xf59a;
        public const int fa_face_laugh = 0xf599;
        public const int fa_face_kiss_wink_heart = 0xf598;
        public const int fa_face_kiss_beam = 0xf597;
        public const int fa_face_kiss = 0xf596;
        public const int fa_face_grin_wink = 0xf58c;
        public const int fa_face_grin_wide = 0xf581;
        public const int fa_face_grin_tongue_wink = 0xf58b;
        public const int fa_face_grin_tongue_squint = 0xf58a;
        public const int fa_face_grin_tongue = 0xf589;
        public const int fa_face_grin_tears = 0xf588;
        public const int fa_face_grin_stars = 0xf587;
        public const int fa_face_grin_squint_tears = 0xf586;
        public const int fa_face_grin_squint = 0xf585;
        public const int fa_face_grin_hearts = 0xf584;
        public const int fa_face_grin_beam_sweat = 0xf583;
        public const int fa_face_grin_beam = 0xf582;
        public const int fa_face_grin = 0xf580;
        public const int fa_face_grimace = 0xf57f;
        public const int fa_face_frown_open = 0xf57a;
        public const int fa_face_frown = 0xf119;
        public const int fa_face_flushed = 0xf579;
        public const int fa_face_dizzy = 0xf567;
        public const int fa_face_angry = 0xf556;
        public const int fa_envelope_open = 0xf2b6;
        public const int fa_comment_dots = 0xf4ad;
        public const int fa_circle_stop = 0xf28d;
        public const int fa_circle_right = 0xf35a;
        public const int fa_circle_question = 0xf059;
        public const int fa_circle_play = 0xf144;
        public const int fa_circle_pause = 0xf28b;
        public const int fa_circle_left = 0xf359;
        public const int fa_circle_dot = 0xf192;
        public const int fa_chess_rook = 0xf447;
        public const int fa_chess_queen = 0xf445;
        public const int fa_chess_pawn = 0xf443;
        public const int fa_chess_knight = 0xf441;
        public const int fa_chess_king = 0xf43f;
        public const int fa_chess_bishop = 0xf43a;
        public const int fa_chart_bar = 0xf080;
        public const int fa_calendar_xmark = 0xf273;
        public const int fa_calendar_plus = 0xf271;
        public const int fa_calendar_minus = 0xf272;
        public const int fa_calendar_check = 0xf274;
        public const int fa_bell_slash = 0xf1f6;
    }

    /// <summary>
    /// fa-brands-400.ttf
    /// 2023-04-23 Release 6.4.0
    /// Count: 467
    /// </summary>
    public static class FontAweSomeV6Brands
    {
        public const int fa_facebook = 0xf09a;
        public const int fa_twitter = 0xf099;
        public const int fa_instagram = 0xf16d;
        public const int fa_tiktok = 0xe07b;
        public const int fa_linkedin = 0xf08c;
        public const int fa_github = 0xf09b;
        public const int fa_discord = 0xf392;
        public const int fa_youtube = 0xf167;
        public const int fa_wordpress = 0xf19a;
        public const int fa_slack = 0xf198;
        public const int fa_figma = 0xf799;
        public const int fa_apple = 0xf179;
        public const int fa_google = 0xf1a0;
        public const int fa_stripe = 0xf429;
        public const int fa_algolia = 0xf36c;
        public const int fa_docker = 0xf395;
        public const int fa_windows = 0xf17a;
        public const int fa_paypal = 0xf1ed;
        public const int fa_stack_overflow = 0xf16c;
        public const int fa_kickstarter = 0xf3bb;
        public const int fa_dribbble = 0xf17d;
        public const int fa_dropbox = 0xf16b;
        public const int fa_squarespace = 0xf5be;
        public const int fa_android = 0xf17b;
        public const int fa_shopify = 0xe057;
        public const int fa_medium = 0xf23a;
        public const int fa_codepen = 0xf1cb;
        public const int fa_cloudflare = 0xe07d;
        public const int fa_airbnb = 0xf834;
        public const int fa_vimeo = 0xf40a;
        public const int fa_whatsapp = 0xf232;
        public const int fa_intercom = 0xf7af;
        public const int fa_usps = 0xf7e1;
        public const int fa_wix = 0xf5cf;
        public const int fa_line = 0xf3c0;
        public const int fa_behance = 0xf1b4;
        public const int fa_openid = 0xf19b;
        public const int fa_product_hunt = 0xf288;
        public const int fa_internet_explorer = 0xf26b;
        public const int fa_pagelines = 0xf18c;
        public const int fa_teamspeak = 0xf4f9;
        public const int fa_html5 = 0xf13b;
        public const int fa_telegram = 0xf2c6;
        public const int fa_pinterest = 0xf0d2;
        public const int fa_dashcube = 0xf210;
        public const int fa_ideal = 0xe013;
        public const int fa_salesforce = 0xf83b;
        public const int fa_readme = 0xf4d5;
        public const int fa_free_code_camp = 0xf2c5;
        public const int fa_soundcloud = 0xf1be;
        public const int fa_square_twitter = 0xf081;
        public const int fa_accessible_icon = 0xf368;
        public const int fa_cc_visa = 0xf1f0;
        public const int fa_goodreads_g = 0xf3a9;
        public const int fa_google_play = 0xf3ab;
        public const int fa_react = 0xf41b;
        public const int fa_wikipedia_w = 0xf266;
        public const int fa_square_js = 0xf3b9;
        public const int fa_java = 0xf4e4;
        public const int fa_square_pinterest = 0xf0d3;
        public const int fa_python = 0xf3e2;
        public const int fa_skype = 0xf17e;
        public const int fa_linux = 0xf17c;
        public const int fa_node = 0xf419;
        public const int fa_rebel = 0xf1d0;
        public const int fa_etsy = 0xf2d7;
        public const int fa_discourse = 0xf393;
        public const int fa_amazon = 0xf270;
        public const int fa_glide_g = 0xf2a6;
        public const int fa_gitlab = 0xf296;
        public const int fa_spotify = 0xf1bc;
        public const int fa_think_peaks = 0xf731;
        public const int fa_microsoft = 0xf3ca;
        public const int fa_elementor = 0xf430;
        public const int fa_pied_piper = 0xf2ae;
        public const int fa_square_youtube = 0xf431;
        public const int fa_cc_mastercard = 0xf1f1;
        public const int fa_facebook_messenger = 0xf39f;
        public const int fa_atlassian = 0xf77b;
        public const int fa_playstation = 0xf3df;
        public const int fa_fly = 0xf417;
        public const int fa_meetup = 0xf2e0;
        public const int fa_twitch = 0xf1e8;
        public const int fa_waze = 0xf83f;
        public const int fa_zhihu = 0xf63f;
        public const int fa_yoast = 0xf2b1;
        public const int fa_yelp = 0xf1e9;
        public const int fa_yarn = 0xf7e3;
        public const int fa_yandex_international = 0xf414;
        public const int fa_yandex = 0xf413;
        public const int fa_yammer = 0xf840;
        public const int fa_yahoo = 0xf19e;
        public const int fa_y_combinator = 0xf23b;
        public const int fa_xing = 0xf168;
        public const int fa_xbox = 0xf412;
        public const int fa_wpressr = 0xf3e4;
        public const int fa_wpforms = 0xf298;
        public const int fa_wpexplorer = 0xf2de;
        public const int fa_wpbeginner = 0xf297;
        public const int fa_wordpress_simple = 0xf411;
        public const int fa_wolf_pack_battalion = 0xf514;
        public const int fa_wodu = 0xe088;
        public const int fa_wizards_of_the_coast = 0xf730;
        public const int fa_wirsindhandwerk = 0xe2d0;
        public const int fa_whmcs = 0xf40d;
        public const int fa_weixin = 0xf1d7;
        public const int fa_weibo = 0xf18a;
        public const int fa_weebly = 0xf5cc;
        public const int fa_watchman_monitoring = 0xe087;
        public const int fa_vuejs = 0xf41f;
        public const int fa_vnv = 0xf40b;
        public const int fa_vk = 0xf189;
        public const int fa_vine = 0xf1ca;
        public const int fa_vimeo_v = 0xf27d;
        public const int fa_viber = 0xf409;
        public const int fa_viadeo = 0xf2a9;
        public const int fa_viacoin = 0xf237;
        public const int fa_vaadin = 0xf408;
        public const int fa_ussunnah = 0xf407;
        public const int fa_usb = 0xf287;
        public const int fa_ups = 0xf7e0;
        public const int fa_untappd = 0xf405;
        public const int fa_unsplash = 0xe07c;
        public const int fa_unity = 0xe049;
        public const int fa_uniregistry = 0xf404;
        public const int fa_uncharted = 0xe084;
        public const int fa_umbraco = 0xf8e8;
        public const int fa_uikit = 0xf403;
        public const int fa_ubuntu = 0xf7df;
        public const int fa_uber = 0xf402;
        public const int fa_typo3 = 0xf42b;
        public const int fa_tumblr = 0xf173;
        public const int fa_trello = 0xf181;
        public const int fa_trade_federation = 0xf513;
        public const int fa_themeisle = 0xf2b2;
        public const int fa_themeco = 0xf5c6;
        public const int fa_the_red_yeti = 0xf69d;
        public const int fa_tencent_weibo = 0xf1d5;
        public const int fa_symfony = 0xf83d;
        public const int fa_swift = 0xf8e1;
        public const int fa_suse = 0xf7d6;
        public const int fa_supple = 0xf3f9;
        public const int fa_superpowers = 0xf2dd;
        public const int fa_stumbleupon_circle = 0xf1a3;
        public const int fa_stumbleupon = 0xf1a4;
        public const int fa_studiovinari = 0xf3f8;
        public const int fa_stubber = 0xe5c7;
        public const int fa_stripe_s = 0xf42a;
        public const int fa_strava = 0xf428;
        public const int fa_sticker_mule = 0xf3f7;
        public const int fa_steam_symbol = 0xf3f6;
        public const int fa_steam = 0xf1b6;
        public const int fa_staylinked = 0xf3f5;
        public const int fa_stackpath = 0xf842;
        public const int fa_stack_exchange = 0xf18d;
        public const int fa_square_xing = 0xf169;
        public const int fa_square_whatsapp = 0xf40c;
        public const int fa_square_vimeo = 0xf194;
        public const int fa_square_viadeo = 0xf2aa;
        public const int fa_square_tumblr = 0xf174;
        public const int fa_square_steam = 0xf1b7;
        public const int fa_square_snapchat = 0xf2ad;
        public const int fa_square_reddit = 0xf1a2;
        public const int fa_square_pied_piper = 0xe01e;
        public const int fa_square_odnoklassniki = 0xf264;
        public const int fa_square_lastfm = 0xf203;
        public const int fa_square_instagram = 0xe055;
        public const int fa_square_hacker_news = 0xf3af;
        public const int fa_square_google_plus = 0xf0d4;
        public const int fa_square_gitlab = 0xe5ae;
        public const int fa_square_github = 0xf092;
        public const int fa_square_git = 0xf1d2;
        public const int fa_square_font_awesome_stroke = 0xf35c;
        public const int fa_square_font_awesome = 0xe5ad;
        public const int fa_square_facebook = 0xf082;
        public const int fa_square_dribbble = 0xf397;
        public const int fa_square_behance = 0xf1b5;
        public const int fa_speaker_deck = 0xf83c;
        public const int fa_speakap = 0xf3f3;
        public const int fa_space_awesome = 0xe5ac;
        public const int fa_sourcetree = 0xf7d3;
        public const int fa_snapchat = 0xf2ab;
        public const int fa_slideshare = 0xf1e7;
        public const int fa_skyatlas = 0xf216;
        public const int fa_sketch = 0xf7c6;
        public const int fa_sitrox = 0xe44a;
        public const int fa_sith = 0xf512;
        public const int fa_sistrix = 0xf3ee;
        public const int fa_simplybuilt = 0xf215;
        public const int fa_shopware = 0xf5b5;
        public const int fa_shirtsinbulk = 0xf214;
        public const int fa_servicestack = 0xf3ec;
        public const int fa_sellsy = 0xf213;
        public const int fa_sellcast = 0xf2da;
        public const int fa_searchengin = 0xf3eb;
        public const int fa_scribd = 0xf28a;
        public const int fa_screenpal = 0xe570;
        public const int fa_schlix = 0xf3ea;
        public const int fa_sass = 0xf41e;
        public const int fa_safari = 0xf267;
        public const int fa_rust = 0xe07a;
        public const int fa_rockrms = 0xf3e9;
        public const int fa_rocketchat = 0xf3e8;
        public const int fa_rev = 0xf5b2;
        public const int fa_resolving = 0xf3e7;
        public const int fa_researchgate = 0xf4f8;
        public const int fa_replyd = 0xf3e6;
        public const int fa_renren = 0xf18b;
        public const int fa_redhat = 0xf7bc;
        public const int fa_reddit_alien = 0xf281;
        public const int fa_reddit = 0xf1a1;
        public const int fa_red_river = 0xf3e3;
        public const int fa_reacteurope = 0xf75d;
        public const int fa_ravelry = 0xf2d9;
        public const int fa_raspberry_pi = 0xf7bb;
        public const int fa_r_project = 0xf4f7;
        public const int fa_quora = 0xf2c4;
        public const int fa_quinscape = 0xf459;
        public const int fa_qq = 0xf1d6;
        public const int fa_pushed = 0xf3e1;
        public const int fa_pix = 0xe43a;
        public const int fa_pinterest_p = 0xf231;
        public const int fa_pied_piper_pp = 0xf1a7;
        public const int fa_pied_piper_hat = 0xf4e5;
        public const int fa_pied_piper_alt = 0xf1a8;
        public const int fa_php = 0xf457;
        public const int fa_phoenix_squadron = 0xf511;
        public const int fa_phoenix_framework = 0xf3dc;
        public const int fa_phabricator = 0xf3db;
        public const int fa_periscope = 0xf3da;
        public const int fa_perbyte = 0xe083;
        public const int fa_patreon = 0xf3d9;
        public const int fa_palfed = 0xf3d8;
        public const int fa_page4 = 0xf3d7;
        public const int fa_padlet = 0xe4a0;
        public const int fa_osi = 0xf41a;
        public const int fa_orcid = 0xf8d2;
        public const int fa_optin_monster = 0xf23c;
        public const int fa_opera = 0xf26a;
        public const int fa_opencart = 0xf23d;
        public const int fa_old_republic = 0xf510;
        public const int fa_odysee = 0xe5c6;
        public const int fa_odnoklassniki = 0xf263;
        public const int fa_octopus_deploy = 0xe082;
        public const int fa_nutritionix = 0xf3d6;
        public const int fa_ns8 = 0xf3d5;
        public const int fa_npm = 0xf3d4;
        public const int fa_node_js = 0xf3d3;
        public const int fa_nimblr = 0xf5a8;
        public const int fa_nfc_symbol = 0xe531;
        public const int fa_nfc_directional = 0xe530;
        public const int fa_neos = 0xf612;
        public const int fa_napster = 0xf3d2;
        public const int fa_monero = 0xf3d0;
        public const int fa_modx = 0xf285;
        public const int fa_mizuni = 0xf3cc;
        public const int fa_mixer = 0xe056;
        public const int fa_mixcloud = 0xf289;
        public const int fa_mix = 0xf3cb;
        public const int fa_microblog = 0xe01a;
        public const int fa_meta = 0xe49b;
        public const int fa_mendeley = 0xf7b3;
        public const int fa_megaport = 0xf5a3;
        public const int fa_medrt = 0xf3c8;
        public const int fa_medapps = 0xf3c6;
        public const int fa_mdb = 0xf8ca;
        public const int fa_maxcdn = 0xf136;
        public const int fa_mastodon = 0xf4f6;
        public const int fa_markdown = 0xf60f;
        public const int fa_mandalorian = 0xf50f;
        public const int fa_mailchimp = 0xf59e;
        public const int fa_magento = 0xf3c4;
        public const int fa_lyft = 0xf3c3;
        public const int fa_linode = 0xf2b8;
        public const int fa_linkedin_in = 0xf0e1;
        public const int fa_less = 0xf41d;
        public const int fa_leanpub = 0xf212;
        public const int fa_lastfm = 0xf202;
        public const int fa_laravel = 0xf3bd;
        public const int fa_korvue = 0xf42f;
        public const int fa_kickstarter_k = 0xf3bc;
        public const int fa_keycdn = 0xf3ba;
        public const int fa_keybase = 0xf4f5;
        public const int fa_kaggle = 0xf5fa;
        public const int fa_jsfiddle = 0xf1cc;
        public const int fa_js = 0xf3b8;
        public const int fa_joomla = 0xf1aa;
        public const int fa_joget = 0xf3b7;
        public const int fa_jira = 0xf7b1;
        public const int fa_jenkins = 0xf3b6;
        public const int fa_jedi_order = 0xf50e;
        public const int fa_itunes_note = 0xf3b5;
        public const int fa_itunes = 0xf3b4;
        public const int fa_itch_io = 0xf83a;
        public const int fa_ioxhost = 0xf208;
        public const int fa_invision = 0xf7b0;
        public const int fa_instalod = 0xe081;
        public const int fa_imdb = 0xf2d8;
        public const int fa_hubspot = 0xf3b2;
        public const int fa_houzz = 0xf27c;
        public const int fa_hotjar = 0xf3b1;
        public const int fa_hornbill = 0xf592;
        public const int fa_hooli = 0xf427;
        public const int fa_hive = 0xe07f;
        public const int fa_hire_a_helper = 0xf3b0;
        public const int fa_hips = 0xf452;
        public const int fa_hashnode = 0xe499;
        public const int fa_hackerrank = 0xf5f7;
        public const int fa_hacker_news = 0xf1d4;
        public const int fa_gulp = 0xf3ae;
        public const int fa_guilded = 0xe07e;
        public const int fa_grunt = 0xf3ad;
        public const int fa_gripfire = 0xf3ac;
        public const int fa_grav = 0xf2d6;
        public const int fa_gratipay = 0xf184;
        public const int fa_google_wallet = 0xf1ee;
        public const int fa_google_plus_g = 0xf0d5;
        public const int fa_google_plus = 0xf2b3;
        public const int fa_google_pay = 0xe079;
        public const int fa_google_drive = 0xf3aa;
        public const int fa_goodreads = 0xf3a8;
        public const int fa_golang = 0xe40f;
        public const int fa_gofore = 0xf3a7;
        public const int fa_glide = 0xf2a5;
        public const int fa_gitter = 0xf426;
        public const int fa_gitkraken = 0xf3a6;
        public const int fa_github_alt = 0xf113;
        public const int fa_git_alt = 0xf841;
        public const int fa_git = 0xf1d3;
        public const int fa_gg_circle = 0xf261;
        public const int fa_gg = 0xf260;
        public const int fa_get_pocket = 0xf265;
        public const int fa_galactic_senate = 0xf50d;
        public const int fa_galactic_republic = 0xf50c;
        public const int fa_fulcrum = 0xf50b;
        public const int fa_freebsd = 0xf3a4;
        public const int fa_foursquare = 0xf180;
        public const int fa_forumbee = 0xf211;
        public const int fa_fort_awesome_alt = 0xf3a3;
        public const int fa_fort_awesome = 0xf286;
        public const int fa_fonticons_fi = 0xf3a2;
        public const int fa_fonticons = 0xf280;
        public const int fa_font_awesome = 0xf2b4;
        public const int fa_flipboard = 0xf44d;
        public const int fa_flickr = 0xf16e;
        public const int fa_firstdraft = 0xf3a1;
        public const int fa_first_order_alt = 0xf50a;
        public const int fa_first_order = 0xf2b0;
        public const int fa_firefox_browser = 0xe007;
        public const int fa_firefox = 0xf269;
        public const int fa_fedora = 0xf798;
        public const int fa_fedex = 0xf797;
        public const int fa_fantasy_flight_games = 0xf6dc;
        public const int fa_facebook_f = 0xf39e;
        public const int fa_expeditedssl = 0xf23e;
        public const int fa_evernote = 0xf839;
        public const int fa_ethereum = 0xf42e;
        public const int fa_erlang = 0xf39d;
        public const int fa_envira = 0xf299;
        public const int fa_empire = 0xf1d1;
        public const int fa_ember = 0xf423;
        public const int fa_ello = 0xf5f1;
        public const int fa_edge_legacy = 0xe078;
        public const int fa_edge = 0xf282;
        public const int fa_ebay = 0xf4f4;
        public const int fa_earlybirds = 0xf39a;
        public const int fa_dyalog = 0xf399;
        public const int fa_drupal = 0xf1a9;
        public const int fa_draft2digital = 0xf396;
        public const int fa_dochub = 0xf394;
        public const int fa_digital_ocean = 0xf391;
        public const int fa_digg = 0xf1a6;
        public const int fa_diaspora = 0xf791;
        public const int fa_dhl = 0xf790;
        public const int fa_deviantart = 0xf1bd;
        public const int fa_dev = 0xf6cc;
        public const int fa_deskpro = 0xf38f;
        public const int fa_deploydog = 0xf38e;
        public const int fa_delicious = 0xf1a5;
        public const int fa_deezer = 0xe077;
        public const int fa_dailymotion = 0xe052;
        public const int fa_d_and_d_beyond = 0xf6ca;
        public const int fa_d_and_d = 0xf38d;
        public const int fa_cuttlefish = 0xf38c;
        public const int fa_css3_alt = 0xf38b;
        public const int fa_css3 = 0xf13c;
        public const int fa_critical_role = 0xf6c9;
        public const int fa_creative_commons_zero = 0xf4f3;
        public const int fa_creative_commons_share = 0xf4f2;
        public const int fa_creative_commons_sampling_plus = 0xf4f1;
        public const int fa_creative_commons_sampling = 0xf4f0;
        public const int fa_creative_commons_sa = 0xf4ef;
        public const int fa_creative_commons_remix = 0xf4ee;
        public const int fa_creative_commons_pd_alt = 0xf4ed;
        public const int fa_creative_commons_pd = 0xf4ec;
        public const int fa_creative_commons_nd = 0xf4eb;
        public const int fa_creative_commons_nc_jp = 0xf4ea;
        public const int fa_creative_commons_nc_eu = 0xf4e9;
        public const int fa_creative_commons_nc = 0xf4e8;
        public const int fa_creative_commons_by = 0xf4e7;
        public const int fa_creative_commons = 0xf25e;
        public const int fa_cpanel = 0xf388;
        public const int fa_cotton_bureau = 0xf89e;
        public const int fa_contao = 0xf26d;
        public const int fa_connectdevelop = 0xf20e;
        public const int fa_confluence = 0xf78d;
        public const int fa_codiepie = 0xf284;
        public const int fa_cmplid = 0xe360;
        public const int fa_cloudversify = 0xf385;
        public const int fa_cloudsmith = 0xf384;
        public const int fa_cloudscale = 0xf383;
        public const int fa_chromecast = 0xf838;
        public const int fa_chrome = 0xf268;
        public const int fa_centos = 0xf789;
        public const int fa_centercode = 0xf380;
        public const int fa_cc_stripe = 0xf1f5;
        public const int fa_cc_paypal = 0xf1f4;
        public const int fa_cc_jcb = 0xf24b;
        public const int fa_cc_discover = 0xf1f2;
        public const int fa_cc_diners_club = 0xf24c;
        public const int fa_cc_apple_pay = 0xf416;
        public const int fa_cc_amex = 0xf1f3;
        public const int fa_cc_amazon_pay = 0xf42d;
        public const int fa_canadian_maple_leaf = 0xf785;
        public const int fa_buysellads = 0xf20d;
        public const int fa_buy_n_large = 0xf8a6;
        public const int fa_buromobelexperte = 0xf37f;
        public const int fa_buffer = 0xf837;
        public const int fa_btc = 0xf15a;
        public const int fa_bots = 0xe340;
        public const int fa_bootstrap = 0xf836;
        public const int fa_bluetooth_b = 0xf294;
        public const int fa_bluetooth = 0xf293;
        public const int fa_blogger_b = 0xf37d;
        public const int fa_blogger = 0xf37c;
        public const int fa_blackberry = 0xf37b;
        public const int fa_black_tie = 0xf27e;
        public const int fa_bity = 0xf37a;
        public const int fa_bitcoin = 0xf379;
        public const int fa_bitbucket = 0xf171;
        public const int fa_bimobject = 0xf378;
        public const int fa_bilibili = 0xe3d9;
        public const int fa_battle_net = 0xf835;
        public const int fa_bandcamp = 0xf2d5;
        public const int fa_aws = 0xf375;
        public const int fa_aviato = 0xf421;
        public const int fa_avianex = 0xf374;
        public const int fa_autoprefixer = 0xf41c;
        public const int fa_audible = 0xf373;
        public const int fa_asymmetrik = 0xf372;
        public const int fa_artstation = 0xf77a;
        public const int fa_apple_pay = 0xf415;
        public const int fa_apper = 0xf371;
        public const int fa_app_store_ios = 0xf370;
        public const int fa_app_store = 0xf36f;
        public const int fa_angular = 0xf420;
        public const int fa_angrycreative = 0xf36e;
        public const int fa_angellist = 0xf209;
        public const int fa_amilia = 0xf36d;
        public const int fa_amazon_pay = 0xf42c;
        public const int fa_alipay = 0xf642;
        public const int fa_affiliatetheme = 0xf36b;
        public const int fa_adversal = 0xf36a;
        public const int fa_adn = 0xf170;
        public const int fa_accusoft = 0xf369;
        public const int fa_500px = 0xf26e;
        public const int fa_42_group = 0xe080;
    }

    /// <summary>
    /// fa-solid-900.ttf
    /// 2023-04-23 Release 6.4.0
    /// Count: 1390
    /// </summary>
    public static class FontAweSomeV6Solid
    {
        public const int fa_house = 0xf015;
        public const int fa_magnifying_glass = 0xf002;
        public const int fa_user = 0xf007;
        public const int fa_check = 0xf00c;
        public const int fa_download = 0xf019;
        public const int fa_image = 0xf03e;
        public const int fa_phone = 0xf095;
        public const int fa_bars = 0xf0c9;
        public const int fa_envelope = 0xf0e0;
        public const int fa_star = 0xf005;
        public const int fa_location_dot = 0xf3c5;
        public const int fa_music = 0xf001;
        public const int fa_wand_magic_sparkles = 0xe2ca;
        public const int fa_heart = 0xf004;
        public const int fa_arrow_right = 0xf061;
        public const int fa_circle_xmark = 0xf057;
        public const int fa_bomb = 0xf1e2;
        public const int fa_poo = 0xf2fe;
        public const int fa_camera_retro = 0xf083;
        public const int fa_xmark = 0xf00d;
        public const int fa_cloud = 0xf0c2;
        public const int fa_comment = 0xf075;
        public const int fa_caret_up = 0xf0d8;
        public const int fa_truck_fast = 0xf48b;
        public const int fa_pen_nib = 0xf5ad;
        public const int fa_arrow_up = 0xf062;
        public const int fa_hippo = 0xf6ed;
        public const int fa_face_smile = 0xf118;
        public const int fa_calendar_days = 0xf073;
        public const int fa_paperclip = 0xf0c6;
        public const int fa_shield_halved = 0xf3ed;
        public const int fa_file = 0xf15b;
        public const int fa_bell = 0xf0f3;
        public const int fa_cart_shopping = 0xf07a;
        public const int fa_clipboard = 0xf328;
        public const int fa_filter = 0xf0b0;
        public const int fa_circle_info = 0xf05a;
        public const int fa_arrow_up_from_bracket = 0xe09a;
        public const int fa_bolt = 0xf0e7;
        public const int fa_car = 0xf1b9;
        public const int fa_ghost = 0xf6e2;
        public const int fa_mug_hot = 0xf7b6;
        public const int fa_circle_user = 0xf2bd;
        public const int fa_pen = 0xf304;
        public const int fa_umbrella = 0xf0e9;
        public const int fa_gift = 0xf06b;
        public const int fa_film = 0xf008;
        public const int fa_list = 0xf03a;
        public const int fa_gear = 0xf013;
        public const int fa_trash = 0xf1f8;
        public const int fa_circle_up = 0xf35b;
        public const int fa_circle_down = 0xf358;
        public const int fa_inbox = 0xf01c;
        public const int fa_rotate_right = 0xf2f9;
        public const int fa_lock = 0xf023;
        public const int fa_headphones = 0xf025;
        public const int fa_barcode = 0xf02a;
        public const int fa_tag = 0xf02b;
        public const int fa_book = 0xf02d;
        public const int fa_bookmark = 0xf02e;
        public const int fa_print = 0xf02f;
        public const int fa_camera = 0xf030;
        public const int fa_font = 0xf031;
        public const int fa_video = 0xf03d;
        public const int fa_circle_half_stroke = 0xf042;
        public const int fa_droplet = 0xf043;
        public const int fa_pen_to_square = 0xf044;
        public const int fa_share_from_square = 0xf14d;
        public const int fa_plus = 0x2b;
        public const int fa_minus = 0xf068;
        public const int fa_share = 0xf064;
        public const int fa_circle_exclamation = 0xf06a;
        public const int fa_fire = 0xf06d;
        public const int fa_eye = 0xf06e;
        public const int fa_eye_slash = 0xf070;
        public const int fa_plane = 0xf072;
        public const int fa_magnet = 0xf076;
        public const int fa_hand = 0xf256;
        public const int fa_folder = 0xf07b;
        public const int fa_folder_open = 0xf07c;
        public const int fa_money_bill = 0xf0d6;
        public const int fa_thumbs_up = 0xf164;
        public const int fa_thumbs_down = 0xf165;
        public const int fa_comments = 0xf086;
        public const int fa_lemon = 0xf094;
        public const int fa_key = 0xf084;
        public const int fa_thumbtack = 0xf08d;
        public const int fa_gears = 0xf085;
        public const int fa_paper_plane = 0xf1d8;
        public const int fa_code = 0xf121;
        public const int fa_globe = 0xf0ac;
        public const int fa_truck = 0xf0d1;
        public const int fa_city = 0xf64f;
        public const int fa_ticket = 0xf145;
        public const int fa_tree = 0xf1bb;
        public const int fa_wifi = 0xf1eb;
        public const int fa_paint_roller = 0xf5aa;
        public const int fa_bicycle = 0xf206;
        public const int fa_sliders = 0xf1de;
        public const int fa_brush = 0xf55d;
        public const int fa_hashtag = 0x23;
        public const int fa_flask = 0xf0c3;
        public const int fa_briefcase = 0xf0b1;
        public const int fa_compass = 0xf14e;
        public const int fa_dumpster_fire = 0xf794;
        public const int fa_person = 0xf183;
        public const int fa_person_dress = 0xf182;
        public const int fa_address_book = 0xf2b9;
        public const int fa_bath = 0xf2cd;
        public const int fa_handshake = 0xf2b5;
        public const int fa_snowflake = 0xf2dc;
        public const int fa_right_to_bracket = 0xf2f6;
        public const int fa_earth_americas = 0xf57d;
        public const int fa_cloud_arrow_up = 0xf0ee;
        public const int fa_binoculars = 0xf1e5;
        public const int fa_palette = 0xf53f;
        public const int fa_layer_group = 0xf5fd;
        public const int fa_users = 0xf0c0;
        public const int fa_gamepad = 0xf11b;
        public const int fa_business_time = 0xf64a;
        public const int fa_feather = 0xf52d;
        public const int fa_sun = 0xf185;
        public const int fa_link = 0xf0c1;
        public const int fa_pen_fancy = 0xf5ac;
        public const int fa_fish = 0xf578;
        public const int fa_bug = 0xf188;
        public const int fa_shop = 0xf54f;
        public const int fa_mug_saucer = 0xf0f4;
        public const int fa_landmark = 0xf66f;
        public const int fa_poo_storm = 0xf75a;
        public const int fa_chart_simple = 0xe473;
        public const int fa_shirt = 0xf553;
        public const int fa_anchor = 0xf13d;
        public const int fa_quote_left = 0xf10d;
        public const int fa_bag_shopping = 0xf290;
        public const int fa_gauge = 0xf624;
        public const int fa_code_compare = 0xe13a;
        public const int fa_user_secret = 0xf21b;
        public const int fa_stethoscope = 0xf0f1;
        public const int fa_car_side = 0xf5e4;
        public const int fa_hand_holding_heart = 0xf4be;
        public const int fa_truck_front = 0xe2b7;
        public const int fa_cable_car = 0xf7da;
        public const int fa_mountain_sun = 0xe52f;
        public const int fa_location_pin = 0xf041;
        public const int fa_info = 0xf129;
        public const int fa_user_minus = 0xf503;
        public const int fa_calendar = 0xf133;
        public const int fa_cart_plus = 0xf217;
        public const int fa_clock = 0xf017;
        public const int fa_circle = 0xf111;
        public const int fa_play = 0xf04b;
        public const int fa_cross = 0xf654;
        public const int fa_backward = 0xf04a;
        public const int fa_handshake_slash = 0xe060;
        public const int fa_chevron_up = 0xf077;
        public const int fa_passport = 0xf5ab;
        public const int fa_question = 0x3f;
        public const int fa_pencil = 0xf303;
        public const int fa_phone_volume = 0xf2a0;
        public const int fa_upload = 0xf093;
        public const int fa_strikethrough = 0xf0cc;
        public const int fa_credit_card = 0xf09d;
        public const int fa_street_view = 0xf21d;
        public const int fa_database = 0xf1c0;
        public const int fa_copy = 0xf0c5;
        public const int fa_mobile = 0xf3ce;
        public const int fa_square = 0xf0c8;
        public const int fa_sort = 0xf0dc;
        public const int fa_forward = 0xf04e;
        public const int fa_hourglass_start = 0xf251;
        public const int fa_newspaper = 0xf1ea;
        public const int fa_notes_medical = 0xf481;
        public const int fa_table = 0xf0ce;
        public const int fa_building = 0xf1ad;
        public const int fa_stop = 0xf04d;
        public const int fa_store = 0xf54e;
        public const int fa_flag = 0xf024;
        public const int fa_file_excel = 0xf1c3;
        public const int fa_network_wired = 0xf6ff;
        public const int fa_cash_register = 0xf788;
        public const int fa_file_export = 0xf56e;
        public const int fa_hand_point_up = 0xf0a6;
        public const int fa_angle_up = 0xf106;
        public const int fa_shield = 0xf132;
        public const int fa_address_card = 0xf2bb;
        public const int fa_expand = 0xf065;
        public const int fa_flag_checkered = 0xf11e;
        public const int fa_quote_right = 0xf10e;
        public const int fa_tags = 0xf02c;
        public const int fa_server = 0xf233;
        public const int fa_user_nurse = 0xf82f;
        public const int fa_video_slash = 0xf4e2;
        public const int fa_arrow_down = 0xf063;
        public const int fa_blog = 0xf781;
        public const int fa_school = 0xf549;
        public const int fa_file_invoice = 0xf570;
        public const int fa_rocket = 0xf135;
        public const int fa_spinner = 0xf110;
        public const int fa_tty = 0xf1e4;
        public const int fa_exclamation = 0x21;
        public const int fa_water = 0xf773;
        public const int fa_registered = 0xf25d;
        public const int fa_signature = 0xf5b7;
        public const int fa_laptop = 0xf109;
        public const int fa_restroom = 0xf7bd;
        public const int fa_power_off = 0xf011;
        public const int fa_sitemap = 0xf0e8;
        public const int fa_icons = 0xf86d;
        public const int fa_desktop = 0xf390;
        public const int fa_moon = 0xf186;
        public const int fa_calendar_week = 0xf784;
        public const int fa_pause = 0xf04c;
        public const int fa_file_word = 0xf1c2;
        public const int fa_vials = 0xf493;
        public const int fa_language = 0xf1ab;
        public const int fa_door_open = 0xf52b;
        public const int fa_brain = 0xf5dc;
        public const int fa_hotel = 0xf594;
        public const int fa_marker = 0xf5a1;
        public const int fa_star_of_life = 0xf621;
        public const int fa_leaf = 0xf06c;
        public const int fa_walkie_talkie = 0xf8ef;
        public const int fa_shower = 0xf2cc;
        public const int fa_caret_down = 0xf0d7;
        public const int fa_file_import = 0xf56f;
        public const int fa_place_of_worship = 0xf67f;
        public const int fa_wallet = 0xf555;
        public const int fa_slash = 0xf715;
        public const int fa_award = 0xf559;
        public const int fa_toggle_on = 0xf205;
        public const int fa_ship = 0xf21a;
        public const int fa_chalkboard = 0xf51b;
        public const int fa_hands = 0xf2a7;
        public const int fa_signal = 0xf012;
        public const int fa_motorcycle = 0xf21c;
        public const int fa_arrow_up_right_from_square = 0xf08e;
        public const int fa_audio_description = 0xf29e;
        public const int fa_seedling = 0xf4d8;
        public const int fa_closed_captioning = 0xf20a;
        public const int fa_train = 0xf238;
        public const int fa_arrow_left = 0xf060;
        public const int fa_wrench = 0xf0ad;
        public const int fa_microchip = 0xf2db;
        public const int fa_record_vinyl = 0xf8d9;
        public const int fa_trophy = 0xf091;
        public const int fa_hammer = 0xf6e3;
        public const int fa_diamond = 0xf219;
        public const int fa_robot = 0xf544;
        public const int fa_file_pdf = 0xf1c1;
        public const int fa_hospital = 0xf0f8;
        public const int fa_file_contract = 0xf56c;
        public const int fa_square_xmark = 0xf2d3;
        public const int fa_square_check = 0xf14a;
        public const int fa_crown = 0xf521;
        public const int fa_user_plus = 0xf234;
        public const int fa_virus = 0xe074;
        public const int fa_child = 0xf1ae;
        public const int fa_repeat = 0xf363;
        public const int fa_cube = 0xf1b2;
        public const int fa_copyright = 0xf1f9;
        public const int fa_medal = 0xf5a2;
        public const int fa_bullseye = 0xf140;
        public const int fa_mask = 0xf6fa;
        public const int fa_circle_check = 0xf058;
        public const int fa_radio = 0xf8d7;
        public const int fa_reply = 0xf3e5;
        public const int fa_chair = 0xf6c0;
        public const int fa_route = 0xf4d7;
        public const int fa_plug = 0xf1e6;
        public const int fa_calculator = 0xf1ec;
        public const int fa_dragon = 0xf6d5;
        public const int fa_certificate = 0xf0a3;
        public const int fa_fingerprint = 0xf577;
        public const int fa_road = 0xf018;
        public const int fa_crosshairs = 0xf05b;
        public const int fa_heading = 0xf1dc;
        public const int fa_percent = 0x25;
        public const int fa_user_tie = 0xf508;
        public const int fa_square_minus = 0xf146;
        public const int fa_i_cursor = 0xf246;
        public const int fa_church = 0xf51d;
        public const int fa_joint = 0xf595;
        public const int fa_comments_dollar = 0xf653;
        public const int fa_truck_monster = 0xf63b;
        public const int fa_recycle = 0xf1b8;
        public const int fa_warehouse = 0xf494;
        public const int fa_ruler = 0xf545;
        public const int fa_soap = 0xe06e;
        public const int fa_scroll = 0xf70e;
        public const int fa_coins = 0xf51e;
        public const int fa_wind = 0xf72e;
        public const int fa_baby = 0xf77c;
        public const int fa_lightbulb = 0xf0eb;
        public const int fa_voicemail = 0xf897;
        public const int fa_puzzle_piece = 0xf12e;
        public const int fa_keyboard = 0xf11c;
        public const int fa_clone = 0xf24d;
        public const int fa_eraser = 0xf12d;
        public const int fa_wine_bottle = 0xf72f;
        public const int fa_dice = 0xf522;
        public const int fa_receipt = 0xf543;
        public const int fa_ring = 0xf70b;
        public const int fa_unlock = 0xf09c;
        public const int fa_solar_panel = 0xf5ba;
        public const int fa_ruler_vertical = 0xf548;
        public const int fa_circle_notch = 0xf1ce;
        public const int fa_people_arrows = 0xe068;
        public const int fa_dollar_sign = 0x24;
        public const int fa_tablet = 0xf3fb;
        public const int fa_not_equal = 0xf53e;
        public const int fa_glasses = 0xf530;
        public const int fa_headset = 0xf590;
        public const int fa_code_branch = 0xf126;
        public const int fa_gopuram = 0xf664;
        public const int fa_images = 0xf302;
        public const int fa_window_restore = 0xf2d2;
        public const int fa_industry = 0xf275;
        public const int fa_stamp = 0xf5bf;
        public const int fa_microphone_slash = 0xf131;
        public const int fa_cookie_bite = 0xf564;
        public const int fa_otter = 0xf700;
        public const int fa_chevron_down = 0xf078;
        public const int fa_kiwi_bird = 0xf535;
        public const int fa_viruses = 0xe076;
        public const int fa_umbrella_beach = 0xf5ca;
        public const int fa_subscript = 0xf12c;
        public const int fa_tablets = 0xf490;
        public const int fa_microphone = 0xf130;
        public const int fa_border_none = 0xf850;
        public const int fa_dumbbell = 0xf44b;
        public const int fa_plane_departure = 0xf5b0;
        public const int fa_z = 0x5a;
        public const int fa_yin_yang = 0xf6ad;
        public const int fa_yen_sign = 0xf157;
        public const int fa_y = 0x59;
        public const int fa_xmarks_lines = 0xe59a;
        public const int fa_x_ray = 0xf497;
        public const int fa_x = 0x58;
        public const int fa_worm = 0xe599;
        public const int fa_won_sign = 0xf159;
        public const int fa_wine_glass_empty = 0xf5ce;
        public const int fa_wine_glass = 0xf4e3;
        public const int fa_window_minimize = 0xf2d1;
        public const int fa_window_maximize = 0xf2d0;
        public const int fa_whiskey_glass = 0xf7a0;
        public const int fa_wheelchair_move = 0xe2ce;
        public const int fa_wheelchair = 0xf193;
        public const int fa_wheat_awn_circle_exclamation = 0xe598;
        public const int fa_wheat_awn = 0xe2cd;
        public const int fa_weight_scale = 0xf496;
        public const int fa_weight_hanging = 0xf5cd;
        public const int fa_wave_square = 0xf83e;
        public const int fa_water_ladder = 0xf5c5;
        public const int fa_wand_sparkles = 0xf72b;
        public const int fa_wand_magic = 0xf0d0;
        public const int fa_w = 0x57;
        public const int fa_vr_cardboard = 0xf729;
        public const int fa_volume_xmark = 0xf6a9;
        public const int fa_volume_off = 0xf026;
        public const int fa_volume_low = 0xf027;
        public const int fa_volume_high = 0xf028;
        public const int fa_volleyball = 0xf45f;
        public const int fa_volcano = 0xf770;
        public const int fa_virus_slash = 0xe075;
        public const int fa_virus_covid_slash = 0xe4a9;
        public const int fa_virus_covid = 0xe4a8;
        public const int fa_vihara = 0xf6a7;
        public const int fa_vial_virus = 0xe597;
        public const int fa_vial_circle_check = 0xe596;
        public const int fa_vial = 0xf492;
        public const int fa_vest_patches = 0xe086;
        public const int fa_vest = 0xe085;
        public const int fa_venus_mars = 0xf228;
        public const int fa_venus_double = 0xf226;
        public const int fa_venus = 0xf221;
        public const int fa_vector_square = 0xf5cb;
        public const int fa_vault = 0xe2c5;
        public const int fa_van_shuttle = 0xf5b6;
        public const int fa_v = 0x56;
        public const int fa_utensils = 0xf2e7;
        public const int fa_users_viewfinder = 0xe595;
        public const int fa_users_slash = 0xe073;
        public const int fa_users_rectangle = 0xe594;
        public const int fa_users_rays = 0xe593;
        public const int fa_users_line = 0xe592;
        public const int fa_users_gear = 0xf509;
        public const int fa_users_between_lines = 0xe591;
        public const int fa_user_xmark = 0xf235;
        public const int fa_user_tag = 0xf507;
        public const int fa_user_slash = 0xf506;
        public const int fa_user_shield = 0xf505;
        public const int fa_user_pen = 0xf4ff;
        public const int fa_user_ninja = 0xf504;
        public const int fa_user_lock = 0xf502;
        public const int fa_user_large_slash = 0xf4fa;
        public const int fa_user_large = 0xf406;
        public const int fa_user_injured = 0xf728;
        public const int fa_user_group = 0xf500;
        public const int fa_user_graduate = 0xf501;
        public const int fa_user_gear = 0xf4fe;
        public const int fa_user_doctor = 0xf0f0;
        public const int fa_user_clock = 0xf4fd;
        public const int fa_user_check = 0xf4fc;
        public const int fa_user_astronaut = 0xf4fb;
        public const int fa_up_right_from_square = 0xf35d;
        public const int fa_up_right_and_down_left_from_center = 0xf424;
        public const int fa_up_long = 0xf30c;
        public const int fa_up_down_left_right = 0xf0b2;
        public const int fa_up_down = 0xf338;
        public const int fa_unlock_keyhole = 0xf13e;
        public const int fa_universal_access = 0xf29a;
        public const int fa_underline = 0xf0cd;
        public const int fa_u = 0x55;
        public const int fa_tv = 0xf26c;
        public const int fa_turn_up = 0xf3bf;
        public const int fa_turn_down = 0xf3be;
        public const int fa_turkish_lira_sign = 0xe2bb;
        public const int fa_truck_ramp_box = 0xf4de;
        public const int fa_truck_plane = 0xe58f;
        public const int fa_truck_pickup = 0xf63c;
        public const int fa_truck_moving = 0xf4df;
        public const int fa_truck_medical = 0xf0f9;
        public const int fa_truck_field_un = 0xe58e;
        public const int fa_truck_field = 0xe58d;
        public const int fa_truck_droplet = 0xe58c;
        public const int fa_truck_arrow_right = 0xe58b;
        public const int fa_trowel_bricks = 0xe58a;
        public const int fa_trowel = 0xe589;
        public const int fa_triangle_exclamation = 0xf071;
        public const int fa_tree_city = 0xe587;
        public const int fa_trash_can_arrow_up = 0xf82a;
        public const int fa_trash_can = 0xf2ed;
        public const int fa_trash_arrow_up = 0xf829;
        public const int fa_transgender = 0xf225;
        public const int fa_train_tram = 0xe5b4;
        public const int fa_train_subway = 0xf239;
        public const int fa_trailer = 0xe041;
        public const int fa_traffic_light = 0xf637;
        public const int fa_trademark = 0xf25c;
        public const int fa_tractor = 0xf722;
        public const int fa_tower_observation = 0xe586;
        public const int fa_tower_cell = 0xe585;
        public const int fa_tower_broadcast = 0xf519;
        public const int fa_tornado = 0xf76f;
        public const int fa_torii_gate = 0xf6a1;
        public const int fa_tooth = 0xf5c9;
        public const int fa_toolbox = 0xf552;
        public const int fa_toilets_portable = 0xe584;
        public const int fa_toilet_portable = 0xe583;
        public const int fa_toilet_paper_slash = 0xe072;
        public const int fa_toilet_paper = 0xf71e;
        public const int fa_toilet = 0xf7d8;
        public const int fa_toggle_off = 0xf204;
        public const int fa_timeline = 0xe29c;
        public const int fa_ticket_simple = 0xf3ff;
        public const int fa_thermometer = 0xf491;
        public const int fa_text_width = 0xf035;
        public const int fa_text_slash = 0xf87d;
        public const int fa_text_height = 0xf034;
        public const int fa_terminal = 0xf120;
        public const int fa_tents = 0xe582;
        public const int fa_tent_arrows_down = 0xe581;
        public const int fa_tent_arrow_turn_left = 0xe580;
        public const int fa_tent_arrow_left_right = 0xe57f;
        public const int fa_tent_arrow_down_to_line = 0xe57e;
        public const int fa_tent = 0xe57d;
        public const int fa_tenge_sign = 0xf7d7;
        public const int fa_temperature_three_quarters = 0xf2c8;
        public const int fa_temperature_quarter = 0xf2ca;
        public const int fa_temperature_low = 0xf76b;
        public const int fa_temperature_high = 0xf769;
        public const int fa_temperature_half = 0xf2c9;
        public const int fa_temperature_full = 0xf2c7;
        public const int fa_temperature_empty = 0xf2cb;
        public const int fa_temperature_arrow_up = 0xe040;
        public const int fa_temperature_arrow_down = 0xe03f;
        public const int fa_teeth_open = 0xf62f;
        public const int fa_teeth = 0xf62e;
        public const int fa_taxi = 0xf1ba;
        public const int fa_tarp_droplet = 0xe57c;
        public const int fa_tarp = 0xe57b;
        public const int fa_tape = 0xf4db;
        public const int fa_tachograph_digital = 0xf566;
        public const int fa_tablet_screen_button = 0xf3fa;
        public const int fa_tablet_button = 0xf10a;
        public const int fa_table_tennis_paddle_ball = 0xf45d;
        public const int fa_table_list = 0xf00b;
        public const int fa_table_columns = 0xf0db;
        public const int fa_table_cells_large = 0xf009;
        public const int fa_table_cells = 0xf00a;
        public const int fa_t = 0x54;
        public const int fa_syringe = 0xf48e;
        public const int fa_synagogue = 0xf69b;
        public const int fa_swatchbook = 0xf5c3;
        public const int fa_superscript = 0xf12b;
        public const int fa_sun_plant_wilt = 0xe57a;
        public const int fa_suitcase_rolling = 0xf5c1;
        public const int fa_suitcase_medical = 0xf0fa;
        public const int fa_suitcase = 0xf0f2;
        public const int fa_stroopwafel = 0xf551;
        public const int fa_store_slash = 0xe071;
        public const int fa_stopwatch_20 = 0xe06f;
        public const int fa_stopwatch = 0xf2f2;
        public const int fa_sterling_sign = 0xf154;
        public const int fa_star_of_david = 0xf69a;
        public const int fa_star_half_stroke = 0xf5c0;
        public const int fa_star_half = 0xf089;
        public const int fa_star_and_crescent = 0xf699;
        public const int fa_stapler = 0xe5af;
        public const int fa_stairs = 0xe289;
        public const int fa_staff_snake = 0xe579;
        public const int fa_square_virus = 0xe578;
        public const int fa_square_up_right = 0xf360;
        public const int fa_square_share_nodes = 0xf1e1;
        public const int fa_square_rss = 0xf143;
        public const int fa_square_root_variable = 0xf698;
        public const int fa_square_poll_vertical = 0xf681;
        public const int fa_square_poll_horizontal = 0xf682;
        public const int fa_square_plus = 0xf0fe;
        public const int fa_square_phone_flip = 0xf87b;
        public const int fa_square_phone = 0xf098;
        public const int fa_square_person_confined = 0xe577;
        public const int fa_square_pen = 0xf14b;
        public const int fa_square_parking = 0xf540;
        public const int fa_square_nfi = 0xe576;
        public const int fa_square_h = 0xf0fd;
        public const int fa_square_full = 0xf45c;
        public const int fa_square_envelope = 0xf199;
        public const int fa_square_caret_up = 0xf151;
        public const int fa_square_caret_right = 0xf152;
        public const int fa_square_caret_left = 0xf191;
        public const int fa_square_caret_down = 0xf150;
        public const int fa_square_arrow_up_right = 0xf14c;
        public const int fa_spray_can_sparkles = 0xf5d0;
        public const int fa_spray_can = 0xf5bd;
        public const int fa_spoon = 0xf2e5;
        public const int fa_splotch = 0xf5bc;
        public const int fa_spider = 0xf717;
        public const int fa_spell_check = 0xf891;
        public const int fa_spaghetti_monster_flying = 0xf67b;
        public const int fa_spa = 0xf5bb;
        public const int fa_sort_up = 0xf0de;
        public const int fa_sort_down = 0xf0dd;
        public const int fa_socks = 0xf696;
        public const int fa_snowplow = 0xf7d2;
        public const int fa_snowman = 0xf7d0;
        public const int fa_smoking = 0xf48d;
        public const int fa_smog = 0xf75f;
        public const int fa_sleigh = 0xf7cc;
        public const int fa_skull_crossbones = 0xf714;
        public const int fa_skull = 0xf54c;
        public const int fa_sink = 0xe06d;
        public const int fa_sim_card = 0xf7c4;
        public const int fa_signs_post = 0xf277;
        public const int fa_sign_hanging = 0xf4d9;
        public const int fa_shuttle_space = 0xf197;
        public const int fa_shuffle = 0xf074;
        public const int fa_shrimp = 0xe448;
        public const int fa_shop_slash = 0xe070;
        public const int fa_shop_lock = 0xe4a5;
        public const int fa_shoe_prints = 0xf54b;
        public const int fa_shield_virus = 0xe06c;
        public const int fa_shield_heart = 0xe574;
        public const int fa_shield_dog = 0xe573;
        public const int fa_shield_cat = 0xe572;
        public const int fa_shekel_sign = 0xf20b;
        public const int fa_sheet_plastic = 0xe571;
        public const int fa_share_nodes = 0xf1e0;
        public const int fa_shapes = 0xf61f;
        public const int fa_section = 0xe447;
        public const int fa_sd_card = 0xf7c2;
        public const int fa_scroll_torah = 0xf6a0;
        public const int fa_screwdriver_wrench = 0xf7d9;
        public const int fa_screwdriver = 0xf54a;
        public const int fa_scissors = 0xf0c4;
        public const int fa_school_lock = 0xe56f;
        public const int fa_school_flag = 0xe56e;
        public const int fa_school_circle_xmark = 0xe56d;
        public const int fa_school_circle_exclamation = 0xe56c;
        public const int fa_school_circle_check = 0xe56b;
        public const int fa_scale_unbalanced_flip = 0xf516;
        public const int fa_scale_unbalanced = 0xf515;
        public const int fa_scale_balanced = 0xf24e;
        public const int fa_satellite_dish = 0xf7c0;
        public const int fa_satellite = 0xf7bf;
        public const int fa_sailboat = 0xe445;
        public const int fa_sack_xmark = 0xe56a;
        public const int fa_sack_dollar = 0xf81d;
        public const int fa_s = 0x53;
        public const int fa_rupiah_sign = 0xe23d;
        public const int fa_rupee_sign = 0xf156;
        public const int fa_ruler_horizontal = 0xf547;
        public const int fa_ruler_combined = 0xf546;
        public const int fa_rug = 0xe569;
        public const int fa_ruble_sign = 0xf158;
        public const int fa_rss = 0xf09e;
        public const int fa_rotate_left = 0xf2ea;
        public const int fa_rotate = 0xf2f1;
        public const int fa_road_spikes = 0xe568;
        public const int fa_road_lock = 0xe567;
        public const int fa_road_circle_xmark = 0xe566;
        public const int fa_road_circle_exclamation = 0xe565;
        public const int fa_road_circle_check = 0xe564;
        public const int fa_road_bridge = 0xe563;
        public const int fa_road_barrier = 0xe562;
        public const int fa_right_long = 0xf30b;
        public const int fa_right_left = 0xf362;
        public const int fa_right_from_bracket = 0xf2f5;
        public const int fa_ribbon = 0xf4d6;
        public const int fa_retweet = 0xf079;
        public const int fa_republican = 0xf75e;
        public const int fa_reply_all = 0xf122;
        public const int fa_rectangle_xmark = 0xf410;
        public const int fa_rectangle_list = 0xf022;
        public const int fa_rectangle_ad = 0xf641;
        public const int fa_ranking_star = 0xe561;
        public const int fa_rainbow = 0xf75b;
        public const int fa_radiation = 0xf7b9;
        public const int fa_r = 0x52;
        public const int fa_qrcode = 0xf029;
        public const int fa_q = 0x51;
        public const int fa_pump_soap = 0xe06b;
        public const int fa_pump_medical = 0xe06a;
        public const int fa_prescription_bottle_medical = 0xf486;
        public const int fa_prescription_bottle = 0xf485;
        public const int fa_prescription = 0xf5b1;
        public const int fa_poop = 0xf619;
        public const int fa_podcast = 0xf2ce;
        public const int fa_plus_minus = 0xe43c;
        public const int fa_plug_circle_xmark = 0xe560;
        public const int fa_plug_circle_plus = 0xe55f;
        public const int fa_plug_circle_minus = 0xe55e;
        public const int fa_plug_circle_exclamation = 0xe55d;
        public const int fa_plug_circle_check = 0xe55c;
        public const int fa_plug_circle_bolt = 0xe55b;
        public const int fa_plate_wheat = 0xe55a;
        public const int fa_plant_wilt = 0xe5aa;
        public const int fa_plane_up = 0xe22d;
        public const int fa_plane_slash = 0xe069;
        public const int fa_plane_lock = 0xe558;
        public const int fa_plane_circle_xmark = 0xe557;
        public const int fa_plane_circle_exclamation = 0xe556;
        public const int fa_plane_circle_check = 0xe555;
        public const int fa_plane_arrival = 0xf5af;
        public const int fa_pizza_slice = 0xf818;
        public const int fa_pills = 0xf484;
        public const int fa_piggy_bank = 0xf4d3;
        public const int fa_photo_film = 0xf87c;
        public const int fa_phone_slash = 0xf3dd;
        public const int fa_phone_flip = 0xf879;
        public const int fa_peso_sign = 0xe222;
        public const int fa_peseta_sign = 0xe221;
        public const int fa_person_walking_with_cane = 0xf29d;
        public const int fa_person_walking_luggage = 0xe554;
        public const int fa_person_walking_dashed_line_arrow_right = 0xe553;
        public const int fa_person_walking_arrow_right = 0xe552;
        public const int fa_person_walking_arrow_loop_left = 0xe551;
        public const int fa_person_walking = 0xf554;
        public const int fa_person_through_window = 0xe5a9;
        public const int fa_person_swimming = 0xf5c4;
        public const int fa_person_snowboarding = 0xf7ce;
        public const int fa_person_skiing_nordic = 0xf7ca;
        public const int fa_person_skiing = 0xf7c9;
        public const int fa_person_skating = 0xf7c5;
        public const int fa_person_shelter = 0xe54f;
        public const int fa_person_running = 0xf70c;
        public const int fa_person_rifle = 0xe54e;
        public const int fa_person_rays = 0xe54d;
        public const int fa_person_pregnant = 0xe31e;
        public const int fa_person_praying = 0xf683;
        public const int fa_person_military_to_person = 0xe54c;
        public const int fa_person_military_rifle = 0xe54b;
        public const int fa_person_military_pointing = 0xe54a;
        public const int fa_person_hiking = 0xf6ec;
        public const int fa_person_harassing = 0xe549;
        public const int fa_person_half_dress = 0xe548;
        public const int fa_person_falling_burst = 0xe547;
        public const int fa_person_falling = 0xe546;
        public const int fa_person_drowning = 0xe545;
        public const int fa_person_dress_burst = 0xe544;
        public const int fa_person_dots_from_line = 0xf470;
        public const int fa_person_digging = 0xf85e;
        public const int fa_person_circle_xmark = 0xe543;
        public const int fa_person_circle_question = 0xe542;
        public const int fa_person_circle_plus = 0xe541;
        public const int fa_person_circle_minus = 0xe540;
        public const int fa_person_circle_exclamation = 0xe53f;
        public const int fa_person_circle_check = 0xe53e;
        public const int fa_person_chalkboard = 0xe53d;
        public const int fa_person_cane = 0xe53c;
        public const int fa_person_burst = 0xe53b;
        public const int fa_person_breastfeeding = 0xe53a;
        public const int fa_person_booth = 0xf756;
        public const int fa_person_biking = 0xf84a;
        public const int fa_person_arrow_up_from_line = 0xe539;
        public const int fa_person_arrow_down_to_line = 0xe538;
        public const int fa_pepper_hot = 0xf816;
        public const int fa_people_roof = 0xe537;
        public const int fa_people_robbery = 0xe536;
        public const int fa_people_pulling = 0xe535;
        public const int fa_people_line = 0xe534;
        public const int fa_people_group = 0xe533;
        public const int fa_people_carry_box = 0xf4ce;
        public const int fa_pen_ruler = 0xf5ae;
        public const int fa_pen_clip = 0xf305;
        public const int fa_peace = 0xf67c;
        public const int fa_paw = 0xf1b0;
        public const int fa_paste = 0xf0ea;
        public const int fa_paragraph = 0xf1dd;
        public const int fa_parachute_box = 0xf4cd;
        public const int fa_panorama = 0xe209;
        public const int fa_pallet = 0xf482;
        public const int fa_paintbrush = 0xf1fc;
        public const int fa_pager = 0xf815;
        public const int fa_p = 0x50;
        public const int fa_outdent = 0xf03b;
        public const int fa_om = 0xf679;
        public const int fa_oil_well = 0xe532;
        public const int fa_oil_can = 0xf613;
        public const int fa_object_ungroup = 0xf248;
        public const int fa_object_group = 0xf247;
        public const int fa_o = 0x4f;
        public const int fa_note_sticky = 0xf249;
        public const int fa_notdef = 0xe1fe;
        public const int fa_neuter = 0xf22c;
        public const int fa_naira_sign = 0xe1f6;
        public const int fa_n = 0x4e;
        public const int fa_mountain_city = 0xe52e;
        public const int fa_mountain = 0xf6fc;
        public const int fa_mound = 0xe52d;
        public const int fa_mosquito_net = 0xe52c;
        public const int fa_mosquito = 0xe52b;
        public const int fa_mosque = 0xf678;
        public const int fa_mortar_pestle = 0xf5a7;
        public const int fa_monument = 0xf5a6;
        public const int fa_money_check_dollar = 0xf53d;
        public const int fa_money_check = 0xf53c;
        public const int fa_money_bills = 0xe1f3;
        public const int fa_money_bill_wheat = 0xe52a;
        public const int fa_money_bill_wave = 0xf53a;
        public const int fa_money_bill_trend_up = 0xe529;
        public const int fa_money_bill_transfer = 0xe528;
        public const int fa_money_bill_1_wave = 0xf53b;
        public const int fa_money_bill_1 = 0xf3d1;
        public const int fa_mobile_screen_button = 0xf3cd;
        public const int fa_mobile_screen = 0xf3cf;
        public const int fa_mobile_retro = 0xe527;
        public const int fa_mobile_button = 0xf10b;
        public const int fa_mitten = 0xf7b5;
        public const int fa_minimize = 0xf78c;
        public const int fa_mill_sign = 0xe1ed;
        public const int fa_microscope = 0xf610;
        public const int fa_microphone_lines_slash = 0xf539;
        public const int fa_microphone_lines = 0xf3c9;
        public const int fa_meteor = 0xf753;
        public const int fa_message = 0xf27a;
        public const int fa_mercury = 0xf223;
        public const int fa_menorah = 0xf676;
        public const int fa_memory = 0xf538;
        public const int fa_maximize = 0xf31e;
        public const int fa_mattress_pillow = 0xe525;
        public const int fa_masks_theater = 0xf630;
        public const int fa_mask_ventilator = 0xe524;
        public const int fa_mask_face = 0xe1d7;
        public const int fa_martini_glass_empty = 0xf000;
        public const int fa_martini_glass_citrus = 0xf561;
        public const int fa_martini_glass = 0xf57b;
        public const int fa_mars_stroke_up = 0xf22a;
        public const int fa_mars_stroke_right = 0xf22b;
        public const int fa_mars_stroke = 0xf229;
        public const int fa_mars_double = 0xf227;
        public const int fa_mars_and_venus_burst = 0xe523;
        public const int fa_mars_and_venus = 0xf224;
        public const int fa_mars = 0xf222;
        public const int fa_map_pin = 0xf276;
        public const int fa_map_location_dot = 0xf5a0;
        public const int fa_map_location = 0xf59f;
        public const int fa_map = 0xf279;
        public const int fa_manat_sign = 0xe1d5;
        public const int fa_magnifying_glass_plus = 0xf00e;
        public const int fa_magnifying_glass_minus = 0xf010;
        public const int fa_magnifying_glass_location = 0xf689;
        public const int fa_magnifying_glass_dollar = 0xf688;
        public const int fa_magnifying_glass_chart = 0xe522;
        public const int fa_magnifying_glass_arrow_right = 0xe521;
        public const int fa_m = 0x4d;
        public const int fa_lungs_virus = 0xe067;
        public const int fa_lungs = 0xf604;
        public const int fa_locust = 0xe520;
        public const int fa_lock_open = 0xf3c1;
        public const int fa_location_pin_lock = 0xe51f;
        public const int fa_location_crosshairs = 0xf601;
        public const int fa_location_arrow = 0xf124;
        public const int fa_litecoin_sign = 0xe1d3;
        public const int fa_list_ul = 0xf0ca;
        public const int fa_list_ol = 0xf0cb;
        public const int fa_list_check = 0xf0ae;
        public const int fa_lira_sign = 0xf195;
        public const int fa_link_slash = 0xf127;
        public const int fa_lines_leaning = 0xe51e;
        public const int fa_life_ring = 0xf1cd;
        public const int fa_less_than_equal = 0xf537;
        public const int fa_less_than = 0x3c;
        public const int fa_left_right = 0xf337;
        public const int fa_left_long = 0xf30a;
        public const int fa_lari_sign = 0xe1c8;
        public const int fa_laptop_medical = 0xf812;
        public const int fa_laptop_file = 0xe51d;
        public const int fa_laptop_code = 0xf5fc;
        public const int fa_landmark_flag = 0xe51c;
        public const int fa_landmark_dome = 0xf752;
        public const int fa_land_mine_on = 0xe51b;
        public const int fa_l = 0x4c;
        public const int fa_kitchen_set = 0xe51a;
        public const int fa_kit_medical = 0xf479;
        public const int fa_kip_sign = 0xe1c4;
        public const int fa_khanda = 0xf66d;
        public const int fa_kaaba = 0xf66b;
        public const int fa_k = 0x4b;
        public const int fa_jug_detergent = 0xe519;
        public const int fa_jet_fighter_up = 0xe518;
        public const int fa_jet_fighter = 0xf0fb;
        public const int fa_jedi = 0xf669;
        public const int fa_jar_wheat = 0xe517;
        public const int fa_jar = 0xe516;
        public const int fa_j = 0x4a;
        public const int fa_italic = 0xf033;
        public const int fa_infinity = 0xf534;
        public const int fa_indian_rupee_sign = 0xe1bc;
        public const int fa_indent = 0xf03c;
        public const int fa_image_portrait = 0xf3e0;
        public const int fa_igloo = 0xf7ae;
        public const int fa_id_card_clip = 0xf47f;
        public const int fa_id_card = 0xf2c2;
        public const int fa_id_badge = 0xf2c1;
        public const int fa_icicles = 0xf7ad;
        public const int fa_ice_cream = 0xf810;
        public const int fa_i = 0x49;
        public const int fa_hurricane = 0xf751;
        public const int fa_hryvnia_sign = 0xf6f2;
        public const int fa_house_user = 0xe1b0;
        public const int fa_house_tsunami = 0xe515;
        public const int fa_house_signal = 0xe012;
        public const int fa_house_medical_flag = 0xe514;
        public const int fa_house_medical_circle_xmark = 0xe513;
        public const int fa_house_medical_circle_exclamation = 0xe512;
        public const int fa_house_medical_circle_check = 0xe511;
        public const int fa_house_medical = 0xe3b2;
        public const int fa_house_lock = 0xe510;
        public const int fa_house_laptop = 0xe066;
        public const int fa_house_flood_water_circle_arrow_right = 0xe50f;
        public const int fa_house_flood_water = 0xe50e;
        public const int fa_house_flag = 0xe50d;
        public const int fa_house_fire = 0xe50c;
        public const int fa_house_crack = 0xe3b1;
        public const int fa_house_circle_xmark = 0xe50b;
        public const int fa_house_circle_exclamation = 0xe50a;
        public const int fa_house_circle_check = 0xe509;
        public const int fa_house_chimney_window = 0xe00d;
        public const int fa_house_chimney_user = 0xe065;
        public const int fa_house_chimney_medical = 0xf7f2;
        public const int fa_house_chimney_crack = 0xf6f1;
        public const int fa_house_chimney = 0xe3af;
        public const int fa_hourglass_half = 0xf252;
        public const int fa_hourglass_end = 0xf253;
        public const int fa_hourglass = 0xf254;
        public const int fa_hotdog = 0xf80f;
        public const int fa_hot_tub_person = 0xf593;
        public const int fa_hospital_user = 0xf80d;
        public const int fa_horse_head = 0xf7ab;
        public const int fa_horse = 0xf6f0;
        public const int fa_holly_berry = 0xf7aa;
        public const int fa_hockey_puck = 0xf453;
        public const int fa_hill_rockslide = 0xe508;
        public const int fa_hill_avalanche = 0xe507;
        public const int fa_highlighter = 0xf591;
        public const int fa_helmet_un = 0xe503;
        public const int fa_helmet_safety = 0xf807;
        public const int fa_helicopter_symbol = 0xe502;
        public const int fa_helicopter = 0xf533;
        public const int fa_heart_pulse = 0xf21e;
        public const int fa_heart_crack = 0xf7a9;
        public const int fa_heart_circle_xmark = 0xe501;
        public const int fa_heart_circle_plus = 0xe500;
        public const int fa_heart_circle_minus = 0xe4ff;
        public const int fa_heart_circle_exclamation = 0xe4fe;
        public const int fa_heart_circle_check = 0xe4fd;
        public const int fa_heart_circle_bolt = 0xe4fc;
        public const int fa_headphones_simple = 0xf58f;
        public const int fa_head_side_virus = 0xe064;
        public const int fa_head_side_mask = 0xe063;
        public const int fa_head_side_cough_slash = 0xe062;
        public const int fa_head_side_cough = 0xe061;
        public const int fa_hat_wizard = 0xf6e8;
        public const int fa_hat_cowboy_side = 0xf8c1;
        public const int fa_hat_cowboy = 0xf8c0;
        public const int fa_hard_drive = 0xf0a0;
        public const int fa_hanukiah = 0xf6e6;
        public const int fa_handshake_simple_slash = 0xe05f;
        public const int fa_handshake_simple = 0xf4c6;
        public const int fa_handshake_angle = 0xf4c4;
        public const int fa_hands_praying = 0xf684;
        public const int fa_hands_holding_circle = 0xe4fb;
        public const int fa_hands_holding_child = 0xe4fa;
        public const int fa_hands_holding = 0xf4c2;
        public const int fa_hands_clapping = 0xe1a8;
        public const int fa_hands_bubbles = 0xe05e;
        public const int fa_hands_bound = 0xe4f9;
        public const int fa_hands_asl_interpreting = 0xf2a3;
        public const int fa_handcuffs = 0xe4f8;
        public const int fa_hand_spock = 0xf259;
        public const int fa_hand_sparkles = 0xe05d;
        public const int fa_hand_scissors = 0xf257;
        public const int fa_hand_pointer = 0xf25a;
        public const int fa_hand_point_right = 0xf0a4;
        public const int fa_hand_point_left = 0xf0a5;
        public const int fa_hand_point_down = 0xf0a7;
        public const int fa_hand_peace = 0xf25b;
        public const int fa_hand_middle_finger = 0xf806;
        public const int fa_hand_lizard = 0xf258;
        public const int fa_hand_holding_medical = 0xe05c;
        public const int fa_hand_holding_hand = 0xe4f7;
        public const int fa_hand_holding_droplet = 0xf4c1;
        public const int fa_hand_holding_dollar = 0xf4c0;
        public const int fa_hand_holding = 0xf4bd;
        public const int fa_hand_fist = 0xf6de;
        public const int fa_hand_dots = 0xf461;
        public const int fa_hand_back_fist = 0xf255;
        public const int fa_hamsa = 0xf665;
        public const int fa_h = 0x48;
        public const int fa_gun = 0xe19b;
        public const int fa_guitar = 0xf7a6;
        public const int fa_guarani_sign = 0xe19a;
        public const int fa_group_arrows_rotate = 0xe4f6;
        public const int fa_grip_vertical = 0xf58e;
        public const int fa_grip_lines_vertical = 0xf7a5;
        public const int fa_grip_lines = 0xf7a4;
        public const int fa_grip = 0xf58d;
        public const int fa_greater_than_equal = 0xf532;
        public const int fa_greater_than = 0x3e;
        public const int fa_graduation_cap = 0xf19d;
        public const int fa_golf_ball_tee = 0xf450;
        public const int fa_glass_water_droplet = 0xe4f5;
        public const int fa_glass_water = 0xe4f4;
        public const int fa_gifts = 0xf79c;
        public const int fa_genderless = 0xf22d;
        public const int fa_gem = 0xf3a5;
        public const int fa_gavel = 0xf0e3;
        public const int fa_gauge_simple_high = 0xf62a;
        public const int fa_gauge_simple = 0xf629;
        public const int fa_gauge_high = 0xf625;
        public const int fa_gas_pump = 0xf52f;
        public const int fa_g = 0x47;
        public const int fa_futbol = 0xf1e3;
        public const int fa_frog = 0xf52e;
        public const int fa_franc_sign = 0xe18f;
        public const int fa_forward_step = 0xf051;
        public const int fa_forward_fast = 0xf050;
        public const int fa_football = 0xf44e;
        public const int fa_font_awesome = 0xf2b4;
        public const int fa_folder_tree = 0xf802;
        public const int fa_folder_plus = 0xf65e;
        public const int fa_folder_minus = 0xf65d;
        public const int fa_folder_closed = 0xe185;
        public const int fa_florin_sign = 0xe184;
        public const int fa_floppy_disk = 0xf0c7;
        public const int fa_flask_vial = 0xe4f3;
        public const int fa_flag_usa = 0xf74d;
        public const int fa_fish_fins = 0xe4f2;
        public const int fa_fire_flame_simple = 0xf46a;
        public const int fa_fire_flame_curved = 0xf7e4;
        public const int fa_fire_extinguisher = 0xf134;
        public const int fa_fire_burner = 0xe4f1;
        public const int fa_filter_circle_xmark = 0xe17b;
        public const int fa_filter_circle_dollar = 0xf662;
        public const int fa_fill_drip = 0xf576;
        public const int fa_fill = 0xf575;
        public const int fa_file_zipper = 0xf1c6;
        public const int fa_file_waveform = 0xf478;
        public const int fa_file_video = 0xf1c8;
        public const int fa_file_signature = 0xf573;
        public const int fa_file_shield = 0xe4f0;
        public const int fa_file_prescription = 0xf572;
        public const int fa_file_powerpoint = 0xf1c4;
        public const int fa_file_pen = 0xf31c;
        public const int fa_file_medical = 0xf477;
        public const int fa_file_lines = 0xf15c;
        public const int fa_file_invoice_dollar = 0xf571;
        public const int fa_file_image = 0xf1c5;
        public const int fa_file_csv = 0xf6dd;
        public const int fa_file_code = 0xf1c9;
        public const int fa_file_circle_xmark = 0xe5a1;
        public const int fa_file_circle_question = 0xe4ef;
        public const int fa_file_circle_plus = 0xe494;
        public const int fa_file_circle_minus = 0xe4ed;
        public const int fa_file_circle_exclamation = 0xe4eb;
        public const int fa_file_circle_check = 0xe5a0;
        public const int fa_file_audio = 0xf1c7;
        public const int fa_file_arrow_up = 0xf574;
        public const int fa_file_arrow_down = 0xf56d;
        public const int fa_ferry = 0xe4ea;
        public const int fa_feather_pointed = 0xf56b;
        public const int fa_fax = 0xf1ac;
        public const int fa_faucet_drip = 0xe006;
        public const int fa_faucet = 0xe005;
        public const int fa_fan = 0xf863;
        public const int fa_face_tired = 0xf5c8;
        public const int fa_face_surprise = 0xf5c2;
        public const int fa_face_smile_wink = 0xf4da;
        public const int fa_face_smile_beam = 0xf5b8;
        public const int fa_face_sad_tear = 0xf5b4;
        public const int fa_face_sad_cry = 0xf5b3;
        public const int fa_face_rolling_eyes = 0xf5a5;
        public const int fa_face_meh_blank = 0xf5a4;
        public const int fa_face_meh = 0xf11a;
        public const int fa_face_laugh_wink = 0xf59c;
        public const int fa_face_laugh_squint = 0xf59b;
        public const int fa_face_laugh_beam = 0xf59a;
        public const int fa_face_laugh = 0xf599;
        public const int fa_face_kiss_wink_heart = 0xf598;
        public const int fa_face_kiss_beam = 0xf597;
        public const int fa_face_kiss = 0xf596;
        public const int fa_face_grin_wink = 0xf58c;
        public const int fa_face_grin_wide = 0xf581;
        public const int fa_face_grin_tongue_wink = 0xf58b;
        public const int fa_face_grin_tongue_squint = 0xf58a;
        public const int fa_face_grin_tongue = 0xf589;
        public const int fa_face_grin_tears = 0xf588;
        public const int fa_face_grin_stars = 0xf587;
        public const int fa_face_grin_squint_tears = 0xf586;
        public const int fa_face_grin_squint = 0xf585;
        public const int fa_face_grin_hearts = 0xf584;
        public const int fa_face_grin_beam_sweat = 0xf583;
        public const int fa_face_grin_beam = 0xf582;
        public const int fa_face_grin = 0xf580;
        public const int fa_face_grimace = 0xf57f;
        public const int fa_face_frown_open = 0xf57a;
        public const int fa_face_frown = 0xf119;
        public const int fa_face_flushed = 0xf579;
        public const int fa_face_dizzy = 0xf567;
        public const int fa_face_angry = 0xf556;
        public const int fa_f = 0x46;
        public const int fa_eye_low_vision = 0xf2a8;
        public const int fa_eye_dropper = 0xf1fb;
        public const int fa_explosion = 0xe4e9;
        public const int fa_euro_sign = 0xf153;
        public const int fa_ethernet = 0xf796;
        public const int fa_equals = 0x3d;
        public const int fa_envelopes_bulk = 0xf674;
        public const int fa_envelope_open_text = 0xf658;
        public const int fa_envelope_open = 0xf2b6;
        public const int fa_envelope_circle_check = 0xe4e8;
        public const int fa_ellipsis_vertical = 0xf142;
        public const int fa_ellipsis = 0xf141;
        public const int fa_elevator = 0xe16d;
        public const int fa_eject = 0xf052;
        public const int fa_egg = 0xf7fb;
        public const int fa_earth_oceania = 0xe47b;
        public const int fa_earth_europe = 0xf7a2;
        public const int fa_earth_asia = 0xf57e;
        public const int fa_earth_africa = 0xf57c;
        public const int fa_ear_listen = 0xf2a2;
        public const int fa_ear_deaf = 0xf2a4;
        public const int fa_e = 0x45;
        public const int fa_dungeon = 0xf6d9;
        public const int fa_dumpster = 0xf793;
        public const int fa_drumstick_bite = 0xf6d7;
        public const int fa_drum_steelpan = 0xf56a;
        public const int fa_drum = 0xf569;
        public const int fa_droplet_slash = 0xf5c7;
        public const int fa_draw_polygon = 0xf5ee;
        public const int fa_down_long = 0xf309;
        public const int fa_down_left_and_up_right_to_center = 0xf422;
        public const int fa_dove = 0xf4ba;
        public const int fa_door_closed = 0xf52a;
        public const int fa_dong_sign = 0xe169;
        public const int fa_dolly = 0xf472;
        public const int fa_dog = 0xf6d3;
        public const int fa_dna = 0xf471;
        public const int fa_divide = 0xf529;
        public const int fa_display = 0xe163;
        public const int fa_disease = 0xf7fa;
        public const int fa_dice_two = 0xf528;
        public const int fa_dice_three = 0xf527;
        public const int fa_dice_six = 0xf526;
        public const int fa_dice_one = 0xf525;
        public const int fa_dice_four = 0xf524;
        public const int fa_dice_five = 0xf523;
        public const int fa_dice_d6 = 0xf6d1;
        public const int fa_dice_d20 = 0xf6cf;
        public const int fa_diamond_turn_right = 0xf5eb;
        public const int fa_diagram_successor = 0xe47a;
        public const int fa_diagram_project = 0xf542;
        public const int fa_diagram_predecessor = 0xe477;
        public const int fa_diagram_next = 0xe476;
        public const int fa_dharmachakra = 0xf655;
        public const int fa_democrat = 0xf747;
        public const int fa_delete_left = 0xf55a;
        public const int fa_d = 0x44;
        public const int fa_cubes_stacked = 0xe4e6;
        public const int fa_cubes = 0xf1b3;
        public const int fa_cruzeiro_sign = 0xe152;
        public const int fa_crutch = 0xf7f7;
        public const int fa_crow = 0xf520;
        public const int fa_crop_simple = 0xf565;
        public const int fa_crop = 0xf125;
        public const int fa_cow = 0xf6c8;
        public const int fa_couch = 0xf4b8;
        public const int fa_cookie = 0xf563;
        public const int fa_computer_mouse = 0xf8cc;
        public const int fa_computer = 0xe4e5;
        public const int fa_compress = 0xf066;
        public const int fa_compass_drafting = 0xf568;
        public const int fa_compact_disc = 0xf51f;
        public const int fa_comment_sms = 0xf7cd;
        public const int fa_comment_slash = 0xf4b3;
        public const int fa_comment_medical = 0xf7f5;
        public const int fa_comment_dots = 0xf4ad;
        public const int fa_comment_dollar = 0xf651;
        public const int fa_colon_sign = 0xe140;
        public const int fa_code_pull_request = 0xe13c;
        public const int fa_code_merge = 0xf387;
        public const int fa_code_fork = 0xe13b;
        public const int fa_code_commit = 0xf386;
        public const int fa_clover = 0xe139;
        public const int fa_cloud_sun_rain = 0xf743;
        public const int fa_cloud_sun = 0xf6c4;
        public const int fa_cloud_showers_water = 0xe4e4;
        public const int fa_cloud_showers_heavy = 0xf740;
        public const int fa_cloud_rain = 0xf73d;
        public const int fa_cloud_moon_rain = 0xf73c;
        public const int fa_cloud_moon = 0xf6c3;
        public const int fa_cloud_meatball = 0xf73b;
        public const int fa_cloud_bolt = 0xf76c;
        public const int fa_cloud_arrow_down = 0xf0ed;
        public const int fa_clock_rotate_left = 0xf1da;
        public const int fa_clipboard_user = 0xf7f3;
        public const int fa_clipboard_question = 0xe4e3;
        public const int fa_clipboard_list = 0xf46d;
        public const int fa_clipboard_check = 0xf46c;
        public const int fa_clapperboard = 0xe131;
        public const int fa_circle_stop = 0xf28d;
        public const int fa_circle_right = 0xf35a;
        public const int fa_circle_radiation = 0xf7ba;
        public const int fa_circle_question = 0xf059;
        public const int fa_circle_plus = 0xf055;
        public const int fa_circle_play = 0xf144;
        public const int fa_circle_pause = 0xf28b;
        public const int fa_circle_nodes = 0xe4e2;
        public const int fa_circle_minus = 0xf056;
        public const int fa_circle_left = 0xf359;
        public const int fa_circle_h = 0xf47e;
        public const int fa_circle_dot = 0xf192;
        public const int fa_circle_dollar_to_slot = 0xf4b9;
        public const int fa_circle_chevron_up = 0xf139;
        public const int fa_circle_chevron_right = 0xf138;
        public const int fa_circle_chevron_left = 0xf137;
        public const int fa_circle_chevron_down = 0xf13a;
        public const int fa_circle_arrow_up = 0xf0aa;
        public const int fa_circle_arrow_right = 0xf0a9;
        public const int fa_circle_arrow_left = 0xf0a8;
        public const int fa_circle_arrow_down = 0xf0ab;
        public const int fa_children = 0xe4e1;
        public const int fa_child_reaching = 0xe59d;
        public const int fa_child_dress = 0xe59c;
        public const int fa_child_combatant = 0xe4e0;
        public const int fa_chevron_right = 0xf054;
        public const int fa_chevron_left = 0xf053;
        public const int fa_chess_rook = 0xf447;
        public const int fa_chess_queen = 0xf445;
        public const int fa_chess_pawn = 0xf443;
        public const int fa_chess_knight = 0xf441;
        public const int fa_chess_king = 0xf43f;
        public const int fa_chess_board = 0xf43c;
        public const int fa_chess_bishop = 0xf43a;
        public const int fa_chess = 0xf439;
        public const int fa_cheese = 0xf7ef;
        public const int fa_check_to_slot = 0xf772;
        public const int fa_check_double = 0xf560;
        public const int fa_chart_pie = 0xf200;
        public const int fa_chart_line = 0xf201;
        public const int fa_chart_gantt = 0xe0e4;
        public const int fa_chart_column = 0xe0e3;
        public const int fa_chart_bar = 0xf080;
        public const int fa_chart_area = 0xf1fe;
        public const int fa_charging_station = 0xf5e7;
        public const int fa_champagne_glasses = 0xf79f;
        public const int fa_chalkboard_user = 0xf51c;
        public const int fa_cent_sign = 0xe3f5;
        public const int fa_cedi_sign = 0xe0df;
        public const int fa_cat = 0xf6be;
        public const int fa_cart_flatbed_suitcase = 0xf59d;
        public const int fa_cart_flatbed = 0xf474;
        public const int fa_cart_arrow_down = 0xf218;
        public const int fa_carrot = 0xf787;
        public const int fa_caret_right = 0xf0da;
        public const int fa_caret_left = 0xf0d9;
        public const int fa_caravan = 0xf8ff;
        public const int fa_car_tunnel = 0xe4de;
        public const int fa_car_rear = 0xf5de;
        public const int fa_car_on = 0xe4dd;
        public const int fa_car_burst = 0xf5e1;
        public const int fa_car_battery = 0xf5df;
        public const int fa_capsules = 0xf46b;
        public const int fa_cannabis = 0xf55f;
        public const int fa_candy_cane = 0xf786;
        public const int fa_campground = 0xf6bb;
        public const int fa_camera_rotate = 0xe0d8;
        public const int fa_calendar_xmark = 0xf273;
        public const int fa_calendar_plus = 0xf271;
        public const int fa_calendar_minus = 0xf272;
        public const int fa_calendar_day = 0xf783;
        public const int fa_calendar_check = 0xf274;
        public const int fa_cake_candles = 0xf1fd;
        public const int fa_c = 0x43;
        public const int fa_bus_simple = 0xf55e;
        public const int fa_bus = 0xf207;
        public const int fa_burst = 0xe4dc;
        public const int fa_burger = 0xf805;
        public const int fa_bullhorn = 0xf0a1;
        public const int fa_building_wheat = 0xe4db;
        public const int fa_building_user = 0xe4da;
        public const int fa_building_un = 0xe4d9;
        public const int fa_building_shield = 0xe4d8;
        public const int fa_building_ngo = 0xe4d7;
        public const int fa_building_lock = 0xe4d6;
        public const int fa_building_flag = 0xe4d5;
        public const int fa_building_columns = 0xf19c;
        public const int fa_building_circle_xmark = 0xe4d4;
        public const int fa_building_circle_exclamation = 0xe4d3;
        public const int fa_building_circle_check = 0xe4d2;
        public const int fa_building_circle_arrow_right = 0xe4d1;
        public const int fa_bugs = 0xe4d0;
        public const int fa_bug_slash = 0xe490;
        public const int fa_bucket = 0xe4cf;
        public const int fa_broom_ball = 0xf458;
        public const int fa_broom = 0xf51a;
        public const int fa_briefcase_medical = 0xf469;
        public const int fa_bridge_water = 0xe4ce;
        public const int fa_bridge_lock = 0xe4cc;
        public const int fa_bridge_circle_xmark = 0xe4cb;
        public const int fa_bridge_circle_exclamation = 0xe4ca;
        public const int fa_bridge_circle_check = 0xe4c9;
        public const int fa_bridge = 0xe4c8;
        public const int fa_bread_slice = 0xf7ec;
        public const int fa_brazilian_real_sign = 0xe46c;
        public const int fa_braille = 0xf2a1;
        public const int fa_boxes_stacked = 0xf468;
        public const int fa_boxes_packing = 0xe4c7;
        public const int fa_box_tissue = 0xe05b;
        public const int fa_box_open = 0xf49e;
        public const int fa_box_archive = 0xf187;
        public const int fa_box = 0xf466;
        public const int fa_bowling_ball = 0xf436;
        public const int fa_bowl_rice = 0xe2eb;
        public const int fa_bowl_food = 0xe4c6;
        public const int fa_bottle_water = 0xe4c5;
        public const int fa_bottle_droplet = 0xe4c4;
        public const int fa_bore_hole = 0xe4c3;
        public const int fa_border_top_left = 0xf853;
        public const int fa_border_all = 0xf84c;
        public const int fa_book_tanakh = 0xf827;
        public const int fa_book_skull = 0xf6b7;
        public const int fa_book_quran = 0xf687;
        public const int fa_book_open_reader = 0xf5da;
        public const int fa_book_open = 0xf518;
        public const int fa_book_medical = 0xf7e6;
        public const int fa_book_journal_whills = 0xf66a;
        public const int fa_book_bookmark = 0xe0bb;
        public const int fa_book_bible = 0xf647;
        public const int fa_book_atlas = 0xf558;
        public const int fa_bong = 0xf55c;
        public const int fa_bone = 0xf5d7;
        public const int fa_bolt_lightning = 0xe0b7;
        public const int fa_bold = 0xf032;
        public const int fa_blender_phone = 0xf6b6;
        public const int fa_blender = 0xf517;
        public const int fa_bitcoin_sign = 0xe0b4;
        public const int fa_biohazard = 0xf780;
        public const int fa_bezier_curve = 0xf55b;
        public const int fa_bell_slash = 0xf1f6;
        public const int fa_bell_concierge = 0xf562;
        public const int fa_beer_mug_empty = 0xf0fc;
        public const int fa_bed_pulse = 0xf487;
        public const int fa_bed = 0xf236;
        public const int fa_battery_three_quarters = 0xf241;
        public const int fa_battery_quarter = 0xf243;
        public const int fa_battery_half = 0xf242;
        public const int fa_battery_full = 0xf240;
        public const int fa_battery_empty = 0xf244;
        public const int fa_basketball = 0xf434;
        public const int fa_basket_shopping = 0xf291;
        public const int fa_baseball_bat_ball = 0xf432;
        public const int fa_baseball = 0xf433;
        public const int fa_bars_staggered = 0xf550;
        public const int fa_bars_progress = 0xf828;
        public const int fa_bangladeshi_taka_sign = 0xe2e6;
        public const int fa_bandage = 0xf462;
        public const int fa_ban_smoking = 0xf54d;
        public const int fa_ban = 0xf05e;
        public const int fa_baht_sign = 0xe0ac;
        public const int fa_bahai = 0xf666;
        public const int fa_bacterium = 0xe05a;
        public const int fa_bacteria = 0xe059;
        public const int fa_bacon = 0xf7e5;
        public const int fa_backward_step = 0xf048;
        public const int fa_backward_fast = 0xf049;
        public const int fa_baby_carriage = 0xf77d;
        public const int fa_b = 0x42;
        public const int fa_austral_sign = 0xe0a9;
        public const int fa_atom = 0xf5d2;
        public const int fa_at = 0x40;
        public const int fa_asterisk = 0x2a;
        public const int fa_arrows_up_to_line = 0xe4c2;
        public const int fa_arrows_up_down_left_right = 0xf047;
        public const int fa_arrows_up_down = 0xf07d;
        public const int fa_arrows_turn_to_dots = 0xe4c1;
        public const int fa_arrows_turn_right = 0xe4c0;
        public const int fa_arrows_to_eye = 0xe4bf;
        public const int fa_arrows_to_dot = 0xe4be;
        public const int fa_arrows_to_circle = 0xe4bd;
        public const int fa_arrows_split_up_and_left = 0xe4bc;
        public const int fa_arrows_spin = 0xe4bb;
        public const int fa_arrows_rotate = 0xf021;
        public const int fa_arrows_left_right_to_line = 0xe4ba;
        public const int fa_arrows_left_right = 0xf07e;
        public const int fa_arrows_down_to_people = 0xe4b9;
        public const int fa_arrows_down_to_line = 0xe4b8;
        public const int fa_arrow_up_z_a = 0xf882;
        public const int fa_arrow_up_wide_short = 0xf161;
        public const int fa_arrow_up_short_wide = 0xf885;
        public const int fa_arrow_up_right_dots = 0xe4b7;
        public const int fa_arrow_up_long = 0xf176;
        public const int fa_arrow_up_from_water_pump = 0xe4b6;
        public const int fa_arrow_up_from_ground_water = 0xe4b5;
        public const int fa_arrow_up_a_z = 0xf15e;
        public const int fa_arrow_up_9_1 = 0xf887;
        public const int fa_arrow_up_1_9 = 0xf163;
        public const int fa_arrow_turn_up = 0xf148;
        public const int fa_arrow_turn_down = 0xf149;
        public const int fa_arrow_trend_up = 0xe098;
        public const int fa_arrow_trend_down = 0xe097;
        public const int fa_arrow_rotate_right = 0xf01e;
        public const int fa_arrow_rotate_left = 0xf0e2;
        public const int fa_arrow_right_to_city = 0xe4b3;
        public const int fa_arrow_right_to_bracket = 0xf090;
        public const int fa_arrow_right_long = 0xf178;
        public const int fa_arrow_right_from_bracket = 0xf08b;
        public const int fa_arrow_right_arrow_left = 0xf0ec;
        public const int fa_arrow_pointer = 0xf245;
        public const int fa_arrow_left_long = 0xf177;
        public const int fa_arrow_down_z_a = 0xf881;
        public const int fa_arrow_down_wide_short = 0xf160;
        public const int fa_arrow_down_up_lock = 0xe4b0;
        public const int fa_arrow_down_up_across_line = 0xe4af;
        public const int fa_arrow_down_short_wide = 0xf884;
        public const int fa_arrow_down_long = 0xf175;
        public const int fa_arrow_down_a_z = 0xf15d;
        public const int fa_arrow_down_9_1 = 0xf886;
        public const int fa_arrow_down_1_9 = 0xf162;
        public const int fa_archway = 0xf557;
        public const int fa_apple_whole = 0xf5d1;
        public const int fa_ankh = 0xf644;
        public const int fa_angles_up = 0xf102;
        public const int fa_angles_right = 0xf101;
        public const int fa_angles_left = 0xf100;
        public const int fa_angles_down = 0xf103;
        public const int fa_angle_right = 0xf105;
        public const int fa_angle_left = 0xf104;
        public const int fa_angle_down = 0xf107;
        public const int fa_anchor_lock = 0xe4ad;
        public const int fa_anchor_circle_xmark = 0xe4ac;
        public const int fa_anchor_circle_exclamation = 0xe4ab;
        public const int fa_anchor_circle_check = 0xe4aa;
        public const int fa_align_right = 0xf038;
        public const int fa_align_left = 0xf036;
        public const int fa_align_justify = 0xf039;
        public const int fa_align_center = 0xf037;
        public const int fa_a = 0x41;
        public const int fa_9 = 0x39;
        public const int fa_8 = 0x38;
        public const int fa_7 = 0x37;
        public const int fa_6 = 0x36;
        public const int fa_5 = 0x35;
        public const int fa_4 = 0x34;
        public const int fa_3 = 0x33;
        public const int fa_2 = 0x32;
        public const int fa_1 = 0x31;
        public const int fa_0 = 0x30;
    }

    internal static class FontAweSomeV6ItemBuilder
    {
        internal static void Build()
        {
            for (int i = 1; i < 4; i++)
            {
                string file = "D:\\Untitled-" + i + ".html";
                StringBuilder sb = new StringBuilder();
                string[] strings = File.ReadAllLines(file);

                foreach (string s in strings)
                {
                    string tmp = s;
                    int idx = tmp.IndexOf("<i class=\"fa");

                    while (idx > -1)
                    {
                        tmp = tmp.Substring(idx);
                        idx = tmp.IndexOf(">");
                        string key = tmp.Substring(0, idx);
                        key = key.Replace("<i class=\"fa-solid ", "");
                        key = key.Replace("<i class=\"fa-regular ", "");
                        key = key.Replace("<i class=\"fa-brands ", "");
                        key = key.Replace(" fa-fw\"", "");
                        sb.Append(key);
                        sb.Append(Environment.NewLine);
                        tmp = tmp.Substring(idx);
                        idx = tmp.IndexOf("<i class=\"fa");
                    }
                }

                File.WriteAllText("D:\\line" + i + ".txt", sb.ToString());
            }

            for (int i = 1; i < 4; i++)
            {
                string file = "D:\\line" + i + ".txt";
                StringBuilder sb = new StringBuilder();
                string[] strings = File.ReadAllLines(file);

                string all = File.ReadAllText("D:\\all.css");
                foreach (string s in strings)
                {
                    int idx = all.IndexOf(s + ":");
                    if (idx > -1)
                    {
                        int idx1 = all.IndexOf("\\", idx);
                        int idx2 = all.IndexOf("\"", idx1);
                        string tmp = all.Substring(idx1 + 1, idx2 - idx1 - 1);
                        sb.Append("public const int " + s.Replace("-", "_") + " = 0x" + tmp + ";");
                        sb.Append(Environment.NewLine);
                    }
                    else
                    {
                        Console.WriteLine(s);
                    }
                }

                File.WriteAllText("D:\\Out" + i + ".txt", sb.ToString());
            }

        }
    }
#pragma warning restore CS1591 // 缺少对公共可见类型或成员的 XML 注释
}